<?php

global $db, $INCLUDE_FOLDER, $MODULE_VARS;

if (!function_exists('LoadModuleEnv')) {
	require_once($INCLUDE_FOLDER."s_loadenv.inc.php");
	LoadModuleEnv();
}

$_blogPatchError = false;

$db->query("CREATE TABLE `Blog_Parent` (`ID` int(10) unsigned NOT NULL auto_increment, `Subdivision_ID` int(10) NOT NULL default '0', `Type` varchar(16) NOT NULL default '', PRIMARY KEY  (`ID`)) ENGINE=MyISAM DEFAULT CHARSET=cp1251;");
$db->query("CREATE TABLE `Blog_Subdivision` (`ID` int(10) unsigned NOT NULL auto_increment, `Parent_Sub_ID` int(10) NOT NULL default '0', `Subdivision_ID` int(10) NOT NULL default '0', `Creator_ID` int(10) NOT NULL default '0', PRIMARY KEY  (`ID`)) ENGINE=MyISAM DEFAULT CHARSET=cp1251;");

$_CustomSettingsTemplate = $db->get_var("SELECT `CustomSettingsTemplate` FROM `Class`
	WHERE `Class_ID` = '".$MODULE_VARS['blog']['BLOG_CLASS_ID']."'");
	
if ( !$_CustomSettingsTemplate ) $_blogPatchError = true;

$_CustomSettings = $db->get_results("SELECT `Subdivision_ID`, `CustomSettings` FROM `Sub_Class`
	WHERE `Class_ID` = '".$MODULE_VARS['blog']['BLOG_CLASS_ID']."'", ARRAY_A);

	
if ( empty($_CustomSettings) ) $_blogPatchError = true;
	
foreach ($_CustomSettings AS $value) {

	$_ParentSubID = $value['Subdivision_ID'];	
	
	if ($value['CustomSettings']) {
		
		eval("\$_CustomSettingsValue = ".$value['CustomSettings'].";");
		
		$_BlogType = $_CustomSettingsValue['BlogType'];
		
		$db->query("INSERT INTO `Blog_Parent`
			(`Subdivision_ID`, `Type`)
			VALUES
			('".$_ParentSubID."', '".$_BlogType."')");
			
		if ( !$db->insert_id ) $_blogPatchError = true;
	
		$_Blogs = $db->get_col("SELECT DISTINCT sc.`Subdivision_ID` FROM `Sub_Class` AS sc
			LEFT JOIN `Subdivision` AS sub
			ON sc.`Subdivision_ID` = sub.`Subdivision_ID`
			WHERE sc.`Class_ID` = '".$MODULE_VARS['blog']['BLOG_MESSAGES_CLASS_ID']."'
			AND sub.`Parent_Sub_ID` = '".$_ParentSubID."'");
		
		if ( !empty($_Blogs) ) {
		
			foreach ($_Blogs AS $_BlogSubID) {
			
				$_BlogCreator = $db->get_var("SELECT `User_ID` FROM `Permission`
					WHERE `Catalogue_ID` = '".$_BlogSubID."'
					AND `AdminType` = 3
					AND `PermissionSet` = 63
					ORDER BY `Permission_ID`
					LIMIT 1");
				
				$db->query("INSERT INTO `Blog_Subdivision`
					(`Parent_Sub_ID`, `Subdivision_ID`, `Creator_ID`)
					VALUES
					('".$_ParentSubID."', '".$_BlogSubID."', '".$_BlogCreator."')");
					
				if ( !$db->insert_id ) $_blogPatchError = true;
			
			}
			
		}
		
	}
	
}

/* if (!$_blogPatchError) {

	$_pattern = "/\"BlogType\"[ ]*?=>[ ]*?array\(.*?array\(.*?\).*?\)\,/is";
	
	$_NewCustomSettingsTemplate = preg_replace($_pattern, "", $_CustomSettingsTemplate);
	
	$db->query("UPDATE `Class`
		SET `CustomSettingsTemplate` = '".$_NewCustomSettingsTemplate."'
		WHERE `Class_ID` = '".$MODULE_VARS['blog']['BLOG_CLASS_ID']."'");

} */
	
?>