//  
var path = SUB_FOLDER + NETCAT_PATH;
if(path.replace(/[-\/a-z0-9_]+/, "")!="") path = "/netcat/";
var phpURL = path + "modules/calendar/count.php";
var xmlHttp = false;
var waitTimeout;

function nc_calendar_create_object() {
	xmlHttp = false;
	//
	try {
	  xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
	  try {
	    xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
	  } catch (e2) {
	    xmlHttp = false;
	  }
	}
	if (!xmlHttp && typeof XMLHttpRequest!="undefined") {
		xmlHttp = new XMLHttpRequest();
	} 
}

function nc_calendar_generate(day, month, year) {
	
	if(!document.getElementById("nc_calendar_block")) return false;

	//   
	if (document.getElementById("ImgWaiting")) { 
		document.getElementById("ImgWaiting").style.display = "block";
		waitTimeout = setTimeout("", 400);
	}
	
	var calendar_cc = Math.floor(document.getElementById("calendar_cc").value);
	var calendar_theme = Math.floor(document.getElementById("calendar_theme").value);
	var calendar_field = document.getElementById("calendar_field").value;
	var calendar_filled = Math.floor(document.getElementById("calendar_filled").value);

	if(xmlHttp.readyState!=0 && xmlHttp.readyState!=4) nc_calendar_create_object();

	//  count.php
	var url = phpURL + "?day=" + day + "&month=" + month + "&year=" + year + "&theme=" + calendar_theme + "&needcc=" + calendar_cc + "&datefield=" + calendar_field + "&filled=" + calendar_filled + "&calendar=1";
	xmlHttp.open("GET", url, true);
	xmlHttp.onreadystatechange = nc_calendar_update_page;
	//xmlHttp.setRequestHeader("Content-Type", "text/html; Charset=utf-8");
	//xmlHttp.setRequestHeader("Accept-Language", "ru, en");
	//xmlHttp.setRequestHeader("Accept-Charset", "utf-8; q=1");
	xmlHttp.send(null);
}

function nc_calendar_update_page() {

	if (xmlHttp.readyState == 4 || xmlHttp.readyState == "complete") {
		clearTimeout(waitTimeout);
		if (xmlHttp.status == 200)	{
			var response = xmlHttp.responseText;
			var mask = response;

			if(document.getElementById("nc_calendar_block")) {
				document.getElementById("nc_calendar_block").innerHTML = mask;
			}
			
		}
		else {
			alert(xmlHttp.status + " - " + xmlHttp.statusText);
		}
	}
}