<?php
/* $Id: index.php 1854 2008-03-11 08:16:31Z vadim $ */

$NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -4 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
include_once ($NETCAT_FOLDER."vars.inc.php");
require ($ADMIN_FOLDER."function.inc.php");
require ($ADMIN_FOLDER."subdivision/function.inc.php");
require ($INCLUDE_FOLDER."s_files.inc.php");
require ($INCLUDE_FOLDER."s_common.inc.php");
require ($ADMIN_FOLDER."catalogue/function.inc.php");

$Delimeter = " &gt ";
$main_section = "control";
$item_id = 1;
$Title2 = CONTROL_CONTENT_CATALOUGE_SITE;
$Title3 = "<a href=\"".$ADMIN_PATH."catalogue/\">".CONTROL_CONTENT_SUBDIVISION_INDEX_SITES."</a>";
$Title5 = GetCatalogueNameByID ($CatalogueID);
$Title6 = "<a href=\"".$ADMIN_PATH."catalogue/?phase=6&CatalogueID=".$CatalogueID."\">".GetCatalogueNameByID ($CatalogueID)."</a>";
$Title7 = CONTROL_CONTENT_CATALOUGE_SITEDELCONFIRM;
$Title8 = GetCatalogueNameByID ($CatalogueID);
$Title9 = CONTROL_CONTENT_CATALOUGE_ADDSECTION;
$Title10 = CONTROL_CONTENT_CATALOUGE_ADDSITE;
$Title11 = GetCatalogueNameByID ($CatalogueID);
$Title12 = CONTROL_CONTENT_CATALOUGE_SITEDELCONFIRM;
$Title13 = CONTROL_CONTENT_CATALOUGE_SITEOPTIONS;

if (!isset($phase)) $phase=1;

switch ($phase)
{
	case 1:
		#    
		BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/management/sites/");
		ShowCatalogueList ();
	break;

	case 2:
		#    
		if ($type == 1) {
          $UI_CONFIG = new ui_config_catalogue('add');
          BeginHtml ($Title10, $Title3.$Delimeter.$Title10, "http://".$DOC_DOMAIN."/management/sites/add/");
		}
		if ($type == 2) {
		  $UI_CONFIG = new ui_config_catalogue('edit', $CatalogueID);
          BeginHtml ($Title13, $Title3.$Delimeter.$Title6.$Delimeter.$Title13, "http://".$DOC_DOMAIN."/management/sites/settings/");
		}
		CatalogueForm ($CatalogueID, 3, "index.php", $type);
	break;

	case 3:
		#        
		if ($type == 1)
          BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/management/sites/");
		if ($type == 2)
          BeginHtml ($Title11, $Title3.$Delimeter.$Title5, "http://".$DOC_DOMAIN."/management/sites/info/");

		$perm->ExitIfGuest ();
		if ( !($perm->isSupervisor() || $perm->isManager() || $perm->isCatalogueAdmin($CatalogueID)) )
		{
			nc_print_status($NO_RIGHTS_MESSAGE, 'error');
			EndHtml ();
			exit;
		}

		if ($posting == 1)
		{
	        if ($Catalogue_Name == "")
	        {
				nc_print_status(CONTROL_CONTENT_CATALOUGE_ERROR_CASETREE_ONE, 'error');;
				CatalogueForm ($CatalogueID, 3, "index.php", $type);
				break;
			}

			if (!IsAllowedDomain ($Domain, $CatalogueID))
			{
				nc_print_status(CONTROL_CONTENT_CATALOUGE_ERROR_DUPLICATE_DOMAIN, 'error');
				CatalogueForm ($CatalogueID, 3, "index.php", $type);
				break;
			}

			if ( strspn(strtolower($Domain), "abcdefghijklmnopqrstuvwxyz0123456789-.") != strlen($Domain) )
			{
				nc_print_status(CONTROL_CONTENT_CATALOUGE_ERROR_CASETREE_THREE, 'error');
				CatalogueForm ($CatalogueID, 3, "index.php", $type);
				break;
			}

			if (ActionCatalogueCompleted ($CatalogueID, $type)) {
			  $UI_CONFIG = new ui_config_catalogue('map', $CatalogueID);

              $site = $db->get_row("SELECT Catalogue_ID, Catalogue_Name, Domain, Mirrors, Checked
                                      FROM Catalogue
                                     WHERE Catalogue_ID = '".$CatalogueID."'
                                     ORDER BY Priority", ARRAY_A);

              if ($site['Checked']) {
                $image = 'i_site.gif';
              } else {
                $image = 'i_site_disabled.gif';
              }
              if ($type == 1) {
                $buttons = array();
                $buttons[] = array("image" => "i_preview.gif",
                                   "label" => CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWMENU_A_VIEW,
                                   "action" => "window.open('http://". (($site['Domain']) ? $site['Domain'] : $HTTP_HOST) . "');"
                                  );

                $buttons[] = array("image" => "i_folder_add.gif",
                                   "label" => CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_A_ADDSUBSECTION,
                                   "href" => "subdivision.add(0,$site[Catalogue_ID])");
                $UI_CONFIG->treeChanges['addNode'][] = array("nodeId" => "site-$site[Catalogue_ID]",
                     "name" => $site[Catalogue_ID].". ".$site["Catalogue_Name"],
                     "href" => "#site.map($site[Catalogue_ID])",
                     "image" => $image,
                     "hasChildren" => true,
                     "acceptDropFn" => "treeSitemapAcceptDrop",
                     "onDropFn" => "treeSitemapOnDrop",
                     "dragEnabled" => true,
                     "buttons" => $buttons
                    );
                nc_print_status(CONTROL_CONTENT_CATALOUGE_SUCCESS_ADD, 'ok');
              }

              if ($type == 2) {
                $UI_CONFIG->treeChanges['updateNode'][] = array("nodeId" => "site-$site[Catalogue_ID]",
                     "name" => $site[Catalogue_ID].". ".$site["Catalogue_Name"],
                     "image" => $image
                    );
                nc_print_status(CONTROL_CONTENT_CATALOUGE_SUCCESS_EDIT, 'ok');
              }
              ShowFullSubdivisionList();
//				CatalogueForm ($CatalogueID, 3, "index.php", 2);
              break;
/*
				if ($type == 1)
					ShowCatalogueList ();
				if ($type == 2)
				{
					ShowMenu ($CatalogueID, 2, "index.php", 11, "index.php");
				}
*/
			}
		}
		else if ($posting == 2)
		{
			FileUpload ();
			if ($type == 1) ShowCatalogueList ();
			if ($type == 2) ShowMenu ($CatalogueID, 2, "index.php", 11, "index.php");
		}
	break;

	case 4:
		# ,     
		$UI_CONFIG = new ui_config_catalogue('delete', $CatalogueID);
		if (CheckIfDelete())
		{
			BeginHtml ($Title12, $Title3.$Delimeter.$Title7, "http://".$DOC_DOMAIN."/management/sites/");
			UpdateCataloguePriority ();
			AscIfDelete (5, "index.php");
		}
		else
		{
			BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/management/sites/");
			$perm->ExitIfGuest ();
			$perm->ExitIfNotSupervisor ();
			UpdateCataloguePriority ();
			ShowCatalogueList ();
		}
	break;

	case 5:
		#  
		$UI_CONFIG = new ui_config_catalogue('delete', $CatalogueID);
		BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/management/sites/");
		$perm->ExitIfGuest ();
		$perm->ExitIfNotSupervisor ();
		DeleteCatalogue ();
//		ShowCatalogueList ();
	break;

	case 6:
		#     
		BeginHtml ($Title11, $Title3.$Delimeter.$Title5, "http://".$DOC_DOMAIN."/management/sites/info/");
		$UI_CONFIG = new ui_config_catalogue('info', $CatalogueID, 'info');
		ShowMenu ($CatalogueID, 2, "index.php", 11, "index.php");
	break;

	case 11:
		#      
		BeginHtml ($Title9, $Title3.$Delimeter.$Title6.$Delimeter.$Title9, "http://".$DOC_DOMAIN."/management/sites/info/add/");

		if (!$systemMessageID)
			$systemMessageID = $SubdivisionID;
		$systemTableName = "Subdivision";
		$systemTableID = GetSystemTableID ($systemTableName);
		$loc = new SubdivisionLocation ($CatalogueID, $ParentSubID, $SubdivisionID);

		$UI_CONFIG = new ui_config_subdivision_add($ParentSubID, $loc->CatalogueID);
		SubdivisionForm (12, "index.php", 1);
	break;

	case 12:
		#     
		BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/management/sites/");
		$perm->ExitIfGuest ();
		$perm->ExitIfNotSupervisorManager ();

		if (!$systemMessageID)
			$systemMessageID = $SubdivisionID;
		$systemTableName = "Subdivision";
		$systemTableID = GetSystemTableID ($systemTableName);
		$loc = new SubdivisionLocation ($CatalogueID, $ParentSubID, $SubdivisionID);

		if ($posting == 1)
		{
        	if (ActionSubdivisionCompleted ($type))
        	{
           		ShowCatalogueList ();
        	}
     	}
     	else if ($posting == 2)
     	{
        	FileUpload ();
        	ShowCatalogueList ();
     	}
	break;
}


EndHtml ();
?>
