<?php
/* $Id: SubClass.php 1854 2008-03-11 08:16:31Z vadim $ */

$NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -4 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
include_once ($NETCAT_FOLDER."vars.inc.php");
require ($ADMIN_FOLDER."function.inc.php");
require ($ADMIN_FOLDER."subdivision/function.inc.php");
require ($ADMIN_FOLDER."subdivision/subclass.inc.php");

$Delimeter = " &gt ";
$CatalogueURL = "".$ADMIN_PATH."catalogue/?phase=6&CatalogueID=";
$SubdivisionURL = "".$ADMIN_PATH."subdivision/?phase=4&SubdivisionID=";

$loc = new SubdivisionLocation ($CatalogueID, $ParentSubID, $SubdivisionID);
$sh = new SubdivisionHierarchy ($Delimeter, $CatalogueURL, $SubdivisionURL);

$main_section = "control";
$item_id = 1;
$Title1 = "<a href=".$ADMIN_PATH."catalogue/>".SECTION_CONTROL_CONTENT_CATALOGUE."</a>";
$Title1 .= $Delimeter.$sh->Link;

$Title2 = CONTROL_CONTENT_SUBDIVISION_SUBCLASS_CLASSLIST_SECTION;
$Title2_1 = CONTROL_CONTENT_SUBDIVISION_SUBCLASS_CLASSLIST_SITE;
$Title3 = "<a href=\"".$ADMIN_PATH."subdivision/SubClass.php?CatalogueID=".$CatalogueID."&SubdivisionID=".$SubdivisionID."\">".CONTROL_CONTENT_SUBDIVISION_SUBCLASS_CLASSLIST_SECTION."</a>";
$Title4 = CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ADDCLASS;
$Title5 = GetSubClassName ($SubClassID);
$Title6 = CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ADDCLASS;
$Title7 = CONTROL_CONTENT_SUBDIVISION_SUBCLASS_OPTIONSCLASS;
$Title8 = CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ADDCLASSSITE;
$Title9 = "<a href=".$ADMIN_PATH."subdivision/SubClass.php?CatalogueID=".$CatalogueID.">".CONTROL_CONTENT_SUBDIVISION_SUBCLASS_CLASSLIST_SITE."</a>";

if (isset($phase)) {
  if ($SubClassID || $SubdivisionID) {
    $UI_CONFIG = new ui_config_subdivision_subclass($SubdivisionID, 'add');
  }
  $error = "";

  if ($phase==2 || $phase==4) { //  
     //     (CustomSettings)
     if (!$ClassID) {
       $ClassID = $db->get_var("SELECT Class_ID FROM Sub_Class WHERE Sub_Class_ID = $SubClassID");
     }

     $settings_array = $db->get_var("SELECT CustomSettingsTemplate FROM Class WHERE Class_ID = $ClassID");
     if ($settings_array) {
       require_once($GLOBALS['ADMIN_FOLDER'] . "array_to_form.inc.php");
       $a2f = new nc_a2f($settings_array, $CustomSettings, 'CustomSettings');
       if ($a2f->has_errors()) {
         $error = $a2f->get_validation_errors();
       }
       $CustomSettings = $a2f->get_values_as_string();
     }
     else {
       $CustomSettings = "";
     }

     //  
     if ($perm->isGuest()) {
       $error = $NO_RIGHTS_MESSAGE;
     }
     elseif ($SubClassName == "") {
       $error = CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ERROR_NAME;
     }
     elseif ( strspn(strtolower($EnglishName), "abcdefghijklmnopqrstuvwxyz0123456789-") != strlen($EnglishName) ) {
       $error = CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ERROR_KEYWORD_INVALID;
     }
     elseif ( preg_match("/^[0-9]+$/", $EnglishName) )
     {
       $error = CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ERROR_KEYWORD_INVALID;
     }
     elseif ( ( !IsAllowedSubClassEnglishName ($EnglishName, $SubdivisionID, (int)$SubClassID) ) || ( $EnglishName == "" ) ) {
       $error = CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ERROR_KEYWORD;
     }
     elseif (is_object($a2f) && $a2f->has_errors()) {
       $error = CONTROL_CLASS_CUSTOM_SETTINGS_HAS_ERROR . "<br>". $a2f->get_validation_errors();
     }
   } // of  

   switch ($phase) {
      case 1:
        #   
        //$UI_CONFIG->activeToolbarButtons = array("subclassAdd");
        if (!$SubdivisionID) BeginHtml ($Title8, $Title1.$Delimeter.$Title9.$Delimeter.$Title8, "http://".$DOC_DOMAIN."/management/sites/sections/class/add/");
        else BeginHtml ($Title6, $Title1.$Delimeter.$Title3.$Delimeter.$Title4, "http://".$DOC_DOMAIN."/management/sites/sections/class/add/");
        ActionForm (0, 2, 1);

       break;

      case 2:
        #   
        if (!($perm->isSupervisor () || $perm->isManager() || $perm->isGuest() || $perm->isCatalogueAdmin (GetCatalogueBySubdivision($SubdivisionID)) || $perm->isSubdivisionAdmin ($SubdivisionID) ) ) {
           BeginHtml ($Title2, $Title1.$Delimeter.$Title3.$Delimeter.$Title4, "");
           nc_print_status($NO_RIGHTS_MESSAGE, 'error');
           EndHTML ();
           exit;
        }

        BeginHtml ($Title2, $Title1.$Delimeter.$Title2, "http://".$DOC_DOMAIN."/management/sites/sections/class/");

        if ($error) {
          nc_print_status($error, 'error');
          ActionForm (0, 2, 1);
          break;
        }

        $SubClassID = ActionSubClassCompleted(1);
        $UI_CONFIG = new ui_config_subdivision_subclass($SubdivisionID, 'edit', $SubClassID);
        if ($SubClassID) {
          nc_print_status(CONTROL_CONTENT_SUBDIVISION_SUBCLASS_SUCCESS_ADD, 'ok');
        } else {
          nc_print_status(CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ERROR_ADD, 'error');
        }
        ActionForm ($SubClassID, 4, 2);
/*
        ShowList ();
*/
      break;

        case 3:
         #   
         BeginHtml ($Title7, $Title1.$Delimeter.$Title3.$Delimeter.$Title5, "http://".$DOC_DOMAIN."/management/sites/sections/class/settings/");
         $UI_CONFIG = new ui_config_subdivision_subclass($SubdivisionID, 'edit', $SubClassID);
         ActionForm ($SubClassID, 4, 2);
         break;

        case 4:
         #   

         if (!($perm->isSupervisor () || $perm->isManager() || $perm->isGuest() || $perm->isCatalogueAdmin (GetCatalogueBySubdivision($SubdivisionID)) || $perm->isSubdivisionAdmin ($SubdivisionID) || $perm->isSubClassAdmin ($SubClassID)) ) {
            BeginHtml ($Title2, $Title1.$Delimeter.$Title3.$Delimeter.$Title4, "");
            nc_print_status($NO_RIGHTS_MESSAGE, 'error');
            EndHTML ();
            exit;
         }

         BeginHtml ($Title2, $Title1.$Delimeter.$Title2, "http://".$DOC_DOMAIN."/management/sites/sections/class/");

         if ($error) {
           nc_print_status($error, 'error');
           ActionForm ($SubClassID, 4, 2);
           break;
         }

         $UI_CONFIG = new ui_config_subdivision_subclass($SubdivisionID, 'edit', $SubClassID);
         if (ActionSubClassCompleted(2) !== false) {
           nc_print_status(CONTROL_CONTENT_SUBDIVISION_SUBCLASS_SUCCESS_EDIT, 'ok');
         } else {
           nc_print_status(CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ERROR_EDIT, 'error');
         }
         ActionForm ($SubClassID, 4, 2);
         break;

        case 5:
         #  

         if (!($perm->isSupervisor () || $perm->isManager() || $perm->isGuest() || $perm->isCatalogueAdmin (GetCatalogueBySubdivision($SubdivisionID)) || $perm->isSubdivisionAdmin ($SubdivisionID) ) ) {
            BeginHtml ($Title2, $Title1.$Delimeter.$Title3.$Delimeter.$Title4, "");
            nc_print_status($NO_RIGHTS_MESSAGE, 'error');
            EndHTML ();
            exit;
         }

         BeginHtml ($Title2, $Title1.$Delimeter.$Title2, "http://".$DOC_DOMAIN."/management/sites/sections/class/");

         if ( $perm->isGuest() ) {
            nc_print_status($NO_RIGHTS_MESSAGE, 'error');
            ShowList ();
            break;
         }

         UpdateSubClassPriority();

         reset($_POST);
         while (list($key, $val) = each($_POST)) {

           if (strcmp (substr($key,0,strlen("Delete") ), "Delete") == 0) {
              $DeleteMessage = "delete from Message".GetClassIDBySubClass($val)." where Subdivision_ID=".$SubdivisionID." and Sub_Class_ID=".$val;
              $DeleteSubscriber = "delete from Subscriber WHERE Sub_Class_ID=".$val;
              $db->query ($DeleteMessage);

              DeleteSubClass ($val);
           }

         }

         reset($_GET);
         while (list($key, $val) = each($_GET)) {

           if (strcmp (substr($key,0,strlen("Delete") ), "Delete") == 0) {
              $DeleteMessage = "delete from Message".GetClassIDBySubClass($val);
              $DeleteMessage .= " where Subdivision_ID=".$SubdivisionID;
              $DeleteMessage .= " and Sub_Class_ID=".$val;
                if (GetSystemTableByID($val))
                      $db->query ($DeleteMessage);

              DeleteSubClass ($val);
           }

         }

         if ($db->get_var("SELECT COUNT(Sub_Class_ID) FROM Sub_Class WHERE Subdivision_ID = '".$SubdivisionID."'")) {
           $UI_CONFIG = new ui_config_subdivision_subclass($SubdivisionID, 'list');
           ShowList();
         } else {
           $UI_CONFIG = new ui_config_subdivision_subclass($SubdivisionID, 'add');
           ActionForm (0, 2, 1);
         }

         break;

         case 6:

         #       
         BeginHtml ($Title5, $Title1.(($loc->SubdivisionID)?$Delimeter.$Title3.$Delimeter.$Title5:$Delimeter.$Title9.$Delimeter.$Title5), "http://".$DOC_DOMAIN."/management/sites/sections/class/info/");
         ShowSubClassMenu ($SubClassID, 9, "index.php", 3, "SubClass.php", 12, "index.php");

         break;

   }

} else {
  if (!$SubdivisionID) BeginHtml ($Title2_1, $Title1.$Delimeter.$Title2_1, "http://".$DOC_DOMAIN."/management/sites/sections/class/");
  else BeginHtml ($Title2, $Title1.$Delimeter.$Title2, "http://".$DOC_DOMAIN."/management/sites/sections/class/");
  $UI_CONFIG = new ui_config_subdivision_subclass($SubdivisionID, 'list', $SubClassID);
  ShowList ();
}

EndHTML ();
?>