<?php
/* $Id: index.php 1854 2008-03-11 08:16:31Z vadim $ */

$NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -4 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
include_once ($NETCAT_FOLDER."vars.inc.php");
require ($ADMIN_FOLDER."function.inc.php");
require ($ADMIN_FOLDER."user/function.inc.php");
require ($INCLUDE_FOLDER."s_files.inc.php");
require ($INCLUDE_FOLDER."s_common.inc.php");


if (is_numeric($UserID)) {
  $user_login = GetLoginByID($UserID);
}
else {
  $user_login = "";
}

$main_section = "control";
$item_id=5;
$Delimeter = " &gt ";
$Title2 = CONTROL_USER_USERSANDRIGHTS;
$Title3 = "<a href=\"".$ADMIN_PATH."user/\">".SECTION_CONTROL_USER_LIST."</a>";
$Title5 = $user_login;
$Title6 = CONTROL_USER_PASSCHANGE;
$Title7 = $user_login." (".CONTROL_USER_ACESSRIGHTS.")";
$Title8 = "<a href=\"".$ADMIN_PATH."user/?phase=8&UserID=".$UserID."\">".$user_login." (".CONTROL_USER_ACESSRIGHTS.")</a>";
$Title9 = CONTROL_USER_CATALOGUESWITCH;
$Title10 = CONTROL_USER_SECTIONSWITCH;
$Title11 = CONTROL_USER_TITLE_USERINFOEDIT;
$Title12 = CONTROL_USER_TITLE_PASSWORDCHANGE." ".$user_login;
$Title13 = CONTROL_SETTINGSFILE_TITLE_ADD;


//  
$UI_CONFIG = new ui_config_user();
$UI_CONFIG->user_list_page();

if ( !($perm->isSupervisor() || $perm->isGuest()) )
{
    BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/management/users/");
    nc_print_status($NO_RIGHTS_MESSAGE, 'error');
    EndHtml ();
    exit;
}


if (!isset($phase))
{
    $phase=1;
}

// " "    
// (  )


switch ($phase)
{
    case 1:
        #    
        BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/management/users/");
        SearchUserResult ();
        break;

    case 2:
        #    
        BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/management/users/");
        SearchUserResult ();
        break;

    case 3:
        #  
        BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/management/users/");
        $perm->ExitIfGuest ();
        DeleteUsers ();
        SearchUserResult ();
        break;

    case 4:
        #    
        BeginHtml ($Title11, $Title3.$Delimeter.$Title5, "http://".$DOC_DOMAIN."/management/users/info/");
        $UI_CONFIG->user_page($UserID, $user_login, "edit");
        UserForm ($UserID, "index.php", 5, 2);
        break;

    case 5:
        #    
        BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/management/users/");
        $perm->ExitIfGuest ();

        eval("\$Login = \$f_${AUTHORIZE_BY};");
        if ( CheckLoginIfExist ($Login, $UserID, $db) )
        {
            $UI_CONFIG->user_page($UserID, $user_login, "edit");
            $posting = 0;
            nc_print_status(CONTROL_USER_ERROR_LOGININUSE, 'error');
            UserForm ($UserID, "index.php", 5, 2);
            EndHtml ();
            exit;
        }
        if ($posting == 1)
        {
            if (ActionUserCompleted ("index.php", 2) )
            {
                unset ($Checked);
                unset ($UserID);
                unset ($PermissionGroupID);
                SearchUserResult ();
            }
        }
        break;

    case 6:
        #    
        $UI_CONFIG->user_page($UserID, $user_login, "edit", "user.password($UserID)");
        BeginHtml ($Title12, $Title3.$Delimeter.$Title6, "http://".$DOC_DOMAIN."/management/users/password/");
        ChangePasswordForm ($UserID);
        break;

    case 7:
        #   
        if ( $perm->isGuest() )
        {
            BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/management/users/");
            nc_print_status($NO_RIGHTS_MESSAGE, 'error');
            EndHtml ();
            exit;
        }
        if ( ( strlen($Password1) == 0) && (strlen($Password2) == 0) )
        {
            $UI_CONFIG->user_page($UserID, $user_login, "edit", "user.password($UserID)");
            BeginHtml ($Title2, $Title3.$Delimeter.$Title6, "http://".$DOC_DOMAIN."/management/users/password/");
            nc_print_status(CONTROL_USER_ERROR_EMPTYPASS."<BR>\n".CONTROL_USER_ERROR_RETRY."<BR>\n", 'error');
            ChangePasswordForm ($UserID);
        }
        elseif ($Password1 == $Password2)
        {
            BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/management/users/");
            ChangePassword ($UserID, $Password1, $db);
            unset ($UserID);
            SearchUserResult ();
        }
        else
        {
            $UI_CONFIG->user_page($UserID, $user_login, "edit", "user.password($UserID)");
            BeginHtml ($Title2, $Title3.$Delimeter.$Title6, "http://".$DOC_DOMAIN."/management/users/password/");
            nc_print_status(CONTROL_USER_ERROR_PASSDIFF."<BR>\n".CONTROL_USER_ERROR_RETRY."<BR>\n", 'error');
            ChangePasswordForm ($UserID);
        }
        break;

    case 8:
        #    
        $UI_CONFIG->user_page($UserID, $user_login, "rights");
        BeginHtml ($Title2, $Title3.$Delimeter.$Title7, "http://".$DOC_DOMAIN."/management/users/rights/");
        ShowUserPermissions ($UserID, 11);
        break;

    case 9:
        #      
        $UI_CONFIG->user_page($UserID, $user_login, "rights");
        BeginHtml ($Title2, $Title3.$Delimeter.$Title8.$Delimeter.$Title13, "http://".$DOC_DOMAIN."/management/users/rights/add/");
        AddPermissionForm ($UserID, 10);
        break;

    case 10:
        #   
        $UI_CONFIG->user_page($UserID, $user_login, "rights");
        BeginHtml ($Title2, $Title3.$Delimeter.$Title7, "http://".$DOC_DOMAIN."/management/users/rights/");
        $perm->ExitIfGuest ();
        $tmpPerm = new Permission ($UserID);
        if ( ($tmpPerm->isDirector() ) && (!$perm->isDirector() ) )
        {
            ShowUserPermissions ($UserID, 11);
            EndHtml ();
            exit;
        }
        AddPermissionComleted ($CatSubID);
        ShowUserPermissions ($UserID, 11);
        break;

    case 11:
        #    
        $UI_CONFIG->user_page($UserID, $user_login, "rights");
        BeginHtml ($Title2, $Title3.$Delimeter.$Title7, "http://".$DOC_DOMAIN."/management/users/rights/");
        $perm->ExitIfGuest ();
        $tmpPerm = new Permission ($UserID);
        if ( ($tmpPerm->isDirector() ) && (!$perm->isDirector() ) )
        {
            ShowUserPermissions ($UserID, 11);
            EndHtml ();
            exit;
        }
        UpdatePermission ();
        ShowUserPermissions ($UserID, 11);
        break;

    case 12:
        # / 
        BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/management/users/");
        $perm->ExitIfGuest ();
        ChangeCheckedForUser ($UserID);
        unset ($UserID);
        SearchUserResult ();
        break;

    case 13:
        #   
        BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/management/users/");
        $perm->ExitIfGuest ();
        DeleteOneUser ($KillUserID);
        SearchUserResult ();
        break;
}
EndHtml ();
?>