<?

$NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -5 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
include_once ($NETCAT_FOLDER."vars.inc.php");
require_once ($ADMIN_FOLDER."function.inc.php");
require_once ($INCLUDE_FOLDER."s_loadenv.inc.php");
require_once ($INCLUDE_FOLDER."s_e404.inc.php");
require_once ($MODULE_FOLDER."netshop/function.inc.php");

if (is_file($MODULE_FOLDER."netshop/".MAIN_LANG.".lang.php")) {
   require_once($MODULE_FOLDER."netshop/".MAIN_LANG.".lang.php");
} else {
   require_once($MODULE_FOLDER."netshop/en.lang.php");
}


class Netshop_ExportCML extends Netshop
{
   function Netshop_ExportCML()
   {
      $this->Netshop();
   }

   /**
     * Biztalk export
     */
   function ExportCML($order_id)
   {
      if (!int($order_id)) return false;

      $this->LoadOrder($order_id);
      $this->CartContents();

      //        " "  1
      list($ext_company_id, $ext_catalogue_id) = explode(" ",
      value1("SELECT external_id
                              FROM Netshop_ImportSources 
                             WHERE source_id='".$this->CartContents[0]["ImportSourceID"]."'"));

      header("Content-Type: Aplication/xml-file");
      header("Content-Disposition: attachment; filename=order{$this->OrderID}.xml");

      print '<?xml version="1.0" encoding="windows-1251"?><>';

      //      if ($this->Order['DeliveryCost'] || $this->Order['PaymentCost'])
      //      {
      print '< ="'.$ext_catalogue_id.'">';

      foreach ($this->CartContents as $item)
      {
         $item_ext_id = preg_replace("/^ID/", "", $item["ItemID"]);
         if (!$item_ext_id) $item_ext_id = "g$item[Class_ID]_$item[Message_ID]";
         
         print '< ="'.$item_ext_id.'"
                 ="'.$item_ext_id.'"
                 ="'.xmlspecialchars($item['Name']).'" />';
      }


      if ($this->Order['DeliveryCost'])
      {
         print '< ="dlvr'.$this->Order['DeliveryMethod'].'"
                   ="dlvr'.$this->Order['DeliveryMethod'].'" 
                   =" ('.
         value1("SELECT Name
                                  FROM Message{$this->delivery_methods_table} 
                                 WHERE Message_ID={$this->Order[DeliveryMethod]}").
         ')" =""/>';
      }

      if ($this->Order['DeliveryCost'])
      {
         print '< ="pmnt'.$this->Order['PaymentMethod'].'"
                   ="pmnt'.$this->Order['PaymentMethod'].'" 
                   =" ('.
         value1("SELECT Name
                                  FROM Message{$this->payment_methods_table} 
                                 WHERE Message_ID={$this->Order[PaymentMethod]}").
         ')" =""/>';
      }
      print "</>";
      //      }

      $order_timestamp = timestamp($this->Order["Created"]);
      $order_date = strftime("%Y-%m-%d", $order_timestamp);
      $order_time = strftime("%H:%M:%S", $order_timestamp);

      $currency = $this->Currencies[$this->Order["OrderCurrency"]];
      if ($currency=="RUR") $currency=".";

      print '< ="'.$order_date.'" ="'.$this->Order['Message_ID'].'/"
              ="'.$order_time.'" ="'.$order_date.'"
              ="Order" ="'.$this->CartSum().'" 
              ="'.$currency.'" ="1" ="1">

             < ="'.$ext_company_id.'" ="Saler" />
             < ="siteuser'.$this->Order['User_ID'].'" ="Buyer"
              ="contact'.$this->OrderID.'" />'; // sic!  ..     (    )

      $cart_discount_ratio = 1;
      if ($this->CartDiscountSum) // calculate percent of cart discount
      {
         $cart_discount_ratio = 1 - ($this->CartDiscountSum / $this->CartFieldSum('ItemPrice'));
      }

      foreach ($this->CartContents as $item)
      {
         $item_ext_id = preg_replace("/^ID/", "", $item["ItemID"]);
         if (!$item_ext_id) $item_ext_id = "g$item[Class_ID]_$item[Message_ID]";
         print '<
      	        ="'.$ext_catalogue_id.'"
      	        ="'.$item_ext_id.'"
      	        ="'.$item["Units"].'"
      	        ="'.$item["Qty"].'"
      	        ="'.($item["ItemPrice"]*$cart_discount_ratio).'"
      	        ="'.($item["ItemPrice"]*$item['Qty']*$cart_discount_ratio).'"
      	        >';

         $vat = $item['VAT'] ? $item['VAT'] : $this->VAT;
         if ($vat)
         {
            print '< ="AVT" ="'.$vat.'"
                    ="'.($item['ItemPrice']*$vat/100).'" ="1"/>';
         }
         print "</>";
      }

      //     
      if ($this->Order['DeliveryCost'])
      {
         // <> -    1 7.7
         print '< ="'.$ext_catalogue_id.'"
                 ="dlvr'.$this->Order['DeliveryMethod'].'"
                 ="" ="1" 
                 ="'.$this->Order['DeliveryCost'].'" 
                 ="'.$this->Order['DeliveryCost'].'" />';
      }

      //  "   "
      if ($this->Order['PaymentCost'])
      {
         print '< ="'.$ext_catalogue_id.'"
                 ="pmnt'.$this->Order['PaymentMethod'].'"
                 ="" ="1" 
                 ="'.$this->Order['PaymentCost'].'" 
                 ="'.$this->Order['PaymentCost'].'" />';
      }

      print '</>';

      $contragent = xmlspecialchars($this->Order['CompanyName'] ? $this->Order['CompanyName'] : $this->Order['ContactName']);
      print '< ="'.$ext_company_id.'" />
             < ="siteuser'.$this->Order['User_ID'].'"
              ="'.$contragent.'" 
              ="'.$contragent.'" 
              ="'.xmlspecialchars($this->Order['Address']).'" 
              ="'.xmlspecialchars($this->Order['Comments']).'">

              < ="contact'.$this->OrderID.'" 
               ="'.xmlspecialchars($this->Order['ContactName']).'">
                <>'.xmlspecialchars($this->Order['Phone']).'</> 
                <>'.xmlspecialchars($this->Order['Email']).'</> 
             </>
           </>';

      print '</>';
   }

}



if ( !($perm->isSupervisor() || $perm->isGuest()) ) { die("NO RIGHTS"); }

LoadModuleEnv();

$catalogue = GetCatalogueID($HTTP_HOST.$SUB_FOLDER);
if (!$catalogue) $catalogue = 1;

$shop = new NetShop_ExportCML();
$shop->ExportCML($_GET["order_id"]);


?>