<?
/* $Id: index.php 1854 2008-03-11 08:16:31Z vadim $ */

$NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -4 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
include_once ($NETCAT_FOLDER."vars.inc.php");
require ($ADMIN_FOLDER."function.inc.php");
require ($ADMIN_FOLDER."class/function.inc.php");
require ($ADMIN_FOLDER."field/function.inc.php");

if ( !isset($ClassID) )
	$ClassID=GetClassIDByFieldID ($FieldID);

$main_section = "control";
$item_id = 8;
$Delimeter = " &gt ";
$Title1 = "<a href=\"".$ADMIN_PATH."class/\">".CONTROL_CLASS."</a>";
$Title2 = CONTROL_FIELD_FIELDS." (".GetClassNameByID($ClassID).")";
$Title3 = "<a href=\"".$ADMIN_PATH."field/?ClassID=".$ClassID."\">".CONTROL_FIELD_FIELDS." (".GetClassNameByID($ClassID).")</a>";
$Title4 = CONTROL_FIELD_ADDING;
$Title5 = GetFieldName ($FieldID);
$Title6 = CONTROL_FIELD_EDITING;

if (! ($perm->isSupervisor() || $perm->isGuest()) )
{
   	BeginHtml ($Title0, $Title2, "http://".$DOC_DOMAIN."/management/class/fields/");
   	nc_print_status($NO_RIGHTS_MESSAGE, 'error');
   	EndHtml ();
   	exit;
}

if (!isset($phase))
	$phase=1;

switch ($phase)
{
	case 1:
		#    
        BeginHtml ($Title2, $Title1.$Delimeter.$Title2, "http://".$DOC_DOMAIN."/management/class/fields/");
        $UI_CONFIG = new ui_config_class('fields', $ClassID);
        FieldList ($ClassID);
	break;

	case 2:
        #    
		$UI_CONFIG = new ui_config_field('add', 0, $ClassID);
        BeginHtml ($Title4, $Title1.$Delimeter.$Title3.$Delimeter.$Title4, "http://".$DOC_DOMAIN."/management/class/fields/form/");
        FieldForm (0, $ClassID);
	break;

	case 3:
        #      
        BeginHtml ($Title2, $Title1.$Delimeter.$Title2, "http://".$DOC_DOMAIN."/management/class/fields/");
        $perm->ExitIfGuest ();

        if (!preg_match("/^[a-zA-Z0-9_]+$/", $FieldName))
        {
			$UI_CONFIG = new ui_config_field('add', 0, $ClassID);
			nc_print_status(CONTROL_FIELD_NAME_ERROR, 'error');
			FieldForm (0, $ClassID);
        }
        else
        {
			$new_id = FieldCompleted();
			if ($new_id)
			{
                nc_print_status(CONTROL_FIELD_MSG_ADDED, 'ok');
                $UI_CONFIG = new ui_config_class('fields', $ClassID);

                $field_types = array(1 => 'i_type_string.gif',
                                     2 => 'i_type_int.gif',
                                     3 => 'i_type_text.gif',
                                     4 => 'i_type_classificator.gif',
                                     5 => 'i_type_bool.gif',
                                     6 => 'i_type_file.gif',
                                     7 => 'i_type_float.gif',
                                     8 => 'i_type_date.gif',
                                     9 => 'i_type_link.gif');

				FieldList($ClassID);

                $field = $db->get_row("SELECT field.Field_ID, field.Field_Name, field.TypeOfData_ID FROM Field AS field LEFT JOIN Classificator_TypeOfData AS type ON type.TypeOfData_ID = field.TypeOfData_ID WHERE field.Field_ID = '".$new_id."' ORDER BY field.Priority", ARRAY_A);

                $field_buttons[] = array("image" => "i_field_delete.gif",
        		                         "label" => CONTROL_FIELD_LIST_DELETE,
                		                 "href" => "field.delete(".$ClassID.",".$new_id.")");

                $UI_CONFIG->treeChanges['addNode'][] = array("nodeId" => "field-$new_id",
                                 "parentNodeId" => "dataclass-".$ClassID, 
                                 "name" => $new_id.". ".$field["Field_Name"],
                                 "href" => "#field.edit($new_id)",
                                 "image" => $field_types[$field["TypeOfData_ID"]],
                                 "buttons" => $field_buttons,
                                 "acceptDropFn" => "treeFieldAcceptDrop",
                                 "onDropFn" => "treeFieldOnDrop",
                                 "hasChildren" => false,
                                 "dragEnabled" => true,
                                 "parentMustBeLoaded" => true);

				
			}
			else
			{
				$UI_CONFIG = new ui_config_field('add', 0, $ClassID);
				nc_print_status(CONTROL_FIELD_ONE_RESERVED, 'error');
            	FieldForm (0, $ClassID);
			}
        }
	break;

	case 4:
        #    
        $UI_CONFIG = new ui_config_field('edit', $FieldID, 0);
        BeginHtml ($Title6, $Title1.$Delimeter.$Title3.$Delimeter.$Title5, "http://".$DOC_DOMAIN."/management/class/fields/form/");
        FieldForm ($FieldID, 0);
	break;

	case 5:
        #   
        BeginHtml ($Title2, $Title1.$Delimeter.$Title2, "http://".$DOC_DOMAIN."/management/class/fields/");
        $perm->ExitIfGuest ();
        FieldCompleted ();
        nc_print_status(CONTROL_FIELD_MSG_EDITED, 'ok');
        $UI_CONFIG = new ui_config_field('edit', $FieldID, 0);
        $UI_CONFIG->updateTreeFieldNode($FieldID, $TypeOfDataID);
        FieldForm ($FieldID, 0);
	break;
    
    case 6:
        #      
        BeginHtml ($Title2, $Title1.$Delimeter.$Title2, "http://".$DOC_DOMAIN."/management/class/fields/");
        $perm->ExitIfGuest();
        if ($Delete) {
          $UI_CONFIG = new ui_config_field('delete', 0, $ClassID);
          confirm_fields_removal($Delete, $ClassID);
        } else {
          $UI_CONFIG = new ui_config_class('fields', $ClassID);
          UpdateFieldPriority($priority);
          nc_print_status(CONTROL_FIELD_MSG_FIELDS_CHANGED, 'ok');
          FieldList($ClassID);
        }
    break;
        
	case 7:
        #     
        BeginHtml ($Title2, $Title1.$Delimeter.$Title2, "http://".$DOC_DOMAIN."/management/class/fields/");
        $perm->ExitIfGuest ();
        $UI_CONFIG = new ui_config_class('fields', $ClassID);
        UpdateFieldPriority($priority);
        if (DeleteFields($Delete) > 1) {
          nc_print_status(CONTROL_FIELD_MSG_DELETED_MANY, 'ok');
        } else {
          nc_print_status(CONTROL_FIELD_MSG_DELETED_ONE, 'ok');
        }
        
        FieldList($ClassID);
	break;
}

EndHtml ();

?>
