<?
/* $Id: index.php 1854 2008-03-11 08:16:31Z vadim $ */

$NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -4 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
include_once ($NETCAT_FOLDER."vars.inc.php");
require ($ADMIN_FOLDER."function.inc.php");
require ($ADMIN_FOLDER."modules/function.inc.php");
require ($INCLUDE_FOLDER."s_loadenv.inc.php");
require ($ADMIN_FOLDER."tar.inc.php");
require ($ADMIN_FOLDER."modules/ui.php");

#LoadEnv();

$main_section = "settings";
$item_id = 3;
$Delimeter = " &gt ";
$Title2 = TOOLS_MODULES;
$Title3 = "<a href=\"".$ADMIN_PATH."modules/\">".TOOLS_MODULES."</a>";

if ($module_name && preg_match("/^\w+$/", $module_name)) {
  $ModuleID = $db->get_var("SELECT Module_ID FROM Module WHERE Keyword = '$module_name'");
}

if ($ModuleID) $Title4 = GetModuleName ($ModuleID);

$SubdivisionID = GetModuleSubdivisionByID ($ModuleID);
$CatalogueID = (int) GetCatalogueBySubdivision ($SubdivisionID);

if (!($perm->isSupervisor() || $perm->isGuest())) {
  BeginHtml ($Title2, $Title2, "");
  nc_print_status($NO_RIGHTS_MESSAGE, 'error');
  EndHtml();
  exit;
}

if (!isset($phase)) $phase=1;

switch ($phase) {
    case 1:
        #   
        BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/settings/modules/");
        $UI_CONFIG = new ui_config_tool(TOOLS_MODULES_LIST, TOOLS_MODULES_LIST, 'i_modules_big.gif', 'module.list');
        ModuleList();
        break;

    case 2:
        #   
        $UI_CONFIG = new ui_config_tool(TOOLS_MODULES, TOOLS_MODULES, 'i_modules_big.gif', 'tools.installmodule');
        if (!($perm->isSupervisor() || $perm->isGuest() || $perm->isCatalogueAdmin ($CatalogueID) || $perm->isSubdivisionAdmin ($SubdivisionID))) {
          BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/settings/modules/");
          nc_print_status($NO_RIGHTS_MESSAGE, 'error');
          EndHtml();
          exit;
        }

        BeginHtml ($Title2, $Title3.$Delimeter.$Title4, "http://".$DOC_DOMAIN.GetHelpURL ($ModuleID));
        ModuleUpdateForm ($ModuleID);

        break;

    case 3:
        #   
        BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/settings/modules/");
        $UI_CONFIG = new ui_config_tool(TOOLS_MODULES, TOOLS_MODULES, 'i_modules_big.gif', 'tools.installmodule');
        $perm->ExitIfGuest();

        ModuleUpdateCompleted();
        ModuleUpdateForm ($ModuleID);
//        TitleModule();

        break;

    case 4:
        #  
        BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/settings/modules/");
        $UI_CONFIG = new ui_config_tool(TOOLS_MODULES, TOOLS_MODULES, 'i_modules_big.gif', 'tools.installmodule');
        $perm->ExitIfGuest();

		if (!checkPermissions($HTTP_ROOT_PATH."tmp/",$DOCUMENT_ROOT)) break;
		if (!checkPermissions($HTTP_ROOT_PATH."modules/",$DOCUMENT_ROOT)) break;

        if (!$_FILES['FilePatch']['tmp_name']) {
          nc_print_status(TOOLS_MODULES_ERR_NOTUPLOADED, 'error');
          InstallationAborted();
        }


        $ModuleFile = tempnam($TMP_FOLDER, "module");
        move_uploaded_file($_FILES['FilePatch']['tmp_name'], $ModuleFile);
        // this temporary file will be deleted in the end of this function or in InstallationAborted()

        if (!nc_tgz_extract($ModuleFile, $TMP_FOLDER) && !file_exists($TMP_FOLDER."id.txt"))
        {
           print TOOLS_MODULES_ERR_EXTRACT;
           InstallationAborted();
        }

        $InstallFile = $TMP_FOLDER."install.php";
        if (!is_readable ($InstallFile)) {
          nc_print_status(TOOLS_MODULES_ERR_CANTOPEN." install.php.", 'error');
          InstallationAborted();
        } else {
          require $InstallFile;
        }

        if (!CheckDeps()) {
          InstallationAborted();
        }
        CheckFiles();

        if ($SystemVersion != $VERSION_ID) {
          nc_print_status(TOOLS_MODULES_ERR_VERSION." NetCat.", 'error');
          InstallationAborted();
        }

        if ($SystemID == "1") {
          nc_print_status(TOOLS_MODULES_ERR_VERSION." NetCat.", 'error');
          InstallationAborted();
        }

        if (IsAlreadyInstalled()) {
          nc_print_status(TOOLS_MODULES_ERR_INSTALLED, 'error');
          InstallationAborted();
        }

        $Install = CheckAbilityOfInstallation();
		if ($Install["Success"] == 0) {
		  nc_print_status(TOOLS_MODULES_ERR_ITEMS, 'error');
		  print $Install["ErrorMessage"].".<br><br>\n\n";
          InstallationAborted();
        }
		unset($Install);

        $Install = InstallThisModule();
        if ($Install["Success"] == 0) {
          nc_print_status(TOOLS_MODULES_ERR_DURINGINSTALL.": ".$Install["ErrorMessage"], 'error');
          InstallationAborted();
        }

        $db->query("INSERT INTO Module (Module_Name,Keyword,Description,Parameters,Subdivision_ID,Example_URL,Help_URL) VALUES ('$Name','$Keyword','$Description','$Parameters',0,'$ExampleURL','$HelpURL')");

        if ($SysMessage) {
          InsertSystemMessage($SysMessage,$Name);
        }

        CopyFiles();

        //     ,   
        $current_catalogue = $db->get_row("SELECT * FROM Catalogue LIMIT 1",ARRAY_A);

        if ($current_catalogue['Language']=="ru") {
          ExecSQL ($TMP_FOLDER."sql.txt");
        } else {
          ExecSQL ($TMP_FOLDER."sql_int.txt");
        }

        DeleteFilesInDirectory ($TMP_FOLDER);
        //        .
        // $db->nc_cache_delete();
        TitleModule();

        break;
    case 5:
        #    
        BeginHtml ($Title2, $Title2, "http://".$DOC_DOMAIN."/settings/modules/");
        $UI_CONFIG = new ui_config_tool(TOOLS_MODULES, TOOLS_MODULES, 'i_modules_big.gif', 'tools.installmodule');
        if ($perm->isSupervisor() && $PLUGS_INSTALL_TYPE=="int") {
          AddModuleForm();
        } elseif ($PLUGS_INSTALL_TYPE=="ext") {
          nc_print_status(TOOLS_MODULES_MOD_INSTALL_EXT, 'error');
        }
        break;
}

EndHtml();
?>