<?php

function CheckForNewPatch () {
global $LAST_LOCAL_PATCH,$LAST_PATCH,$PATCH_CHECK_DATE,$SYSTEM_ID,$VERSION_ID;
global $IsInsideAdmin;

	$IsInsideAdmin = 1;
	LoadSettings();

	/*if ($LAST_LOCAL_PATCH<$LAST_PATCH)
	{
	nc_print_status("<b>".TOOLS_PATCH_INFO_NEW." #".$LAST_PATCH."</b> (<a target=_blank href=http://www.netcat.ru/netcat/modules/default/showpatch.php?system=".$SYSTEM_ID."&version=".$VERSION_ID."&lastpatch=".$LAST_LOCAL_PATCH.">".TOOLS_PATCH_INFO_DOWNLOAD."</a>)", 'info');
	}
	else
	{
	nc_print_status(TOOLS_PATCH_INFO_NONEW, 'info');
	}*/
}


function CopyFiles() {
global $TMP_FOLDER, $DOCUMENT_ROOT, $SUB_FOLDER;

	$FileWithFileList = "files.txt";
	$COPY_FOLDER = $DOCUMENT_ROOT.$SUB_FOLDER;

	#   ,   
	$result = array("files" => 0, "total" => 0);
	
	$fpAny = fopen ($TMP_FOLDER.$FileWithFileList, "r");

	while ( !feof($fpAny) ) {
		$file_name = chop( fgets($fpAny, 4096) );
		if ( strlen($file_name)==0 ) break;

		$directory = dirname($file_name);

		$tmpDirectory = $COPY_FOLDER;
		$tok = strtok($directory, "/");
		while ($tok) {
			$tmpDirectory.= "/".$tok;
			@mkdir($tmpDirectory, 0775);
			$tok = strtok("/");
		}
		$file_copied = @copy($TMP_FOLDER.$file_name, $COPY_FOLDER."/".$file_name);
		if ($file_copied) $result["files"]++;
	
	$result["total"]++;
	}
	fclose($fpAny);
	
return $result;
}


function CreatLinks() {
global $TMP_FOLDER, $DOCUMENT_ROOT, $SUB_FOLDER;

	$File = "symlinks.txt";
	$COPY_FOLDER = $DOCUMENT_ROOT.$SUB_FOLDER;
	
	#   ,   
	$result = array("links" => 0, "total" => 0);

	$fp = fopen($TMP_FOLDER.$File, "r");

	while ( !feof($fp) ) {
		$string = chop( fgets($fp, 4096) );
		if ( strlen($string)==0 ) break;
		$From = strtok($string, " ");
		$To = strtok(" ");
		$directory = dirname($To);

		$tmpDirectory = $COPY_FOLDER;
		$tok = strtok($directory, "/");
		while ($tok) {
			$tmpDirectory.= "/".$tok;
			@mkdir($tmpDirectory, 0775);
			$tok = strtok("/");
		}
		#  Windows-    .
		$linked = @symlink($COPY_FOLDER."/".$From, $COPY_FOLDER."/".$To);
		if ($linked) $result["links"]++;
	
	$result["total"]++;
	}
	fclose($fp);

return $result;	
}


function LoadID() {
global $TMP_FOLDER, $db;
global $PatchName, $SystemID, $VersionID, $Description;

	$FileID = "id.txt";
	if ( !file_exists($TMP_FOLDER.$FileID) ) return false;

	$fp = fopen ($TMP_FOLDER.$FileID, "r");
	$PatchName = chop( fgets($fp, 4096) );
	$SystemID = chop( fgets($fp, 4096) );
	$VersionID = chop( fgets($fp, 4096) );
	$Description = chop( fgets($fp, 4096) );
	
	fclose($fp);
}

/*
  *    changelog.txt,    
  * @param string $file_name    changelog
  * @return string  
  */
function nc_patch_changelog($file_name = "") {
global $TMP_FOLDER;

	$result = false;
	$changelog_arr = array();
	if (!$file_name) {
		$int_pref = (defined("MAIN_LANG") && MAIN_LANG=="ru" ? "" : "_int");
		$file_name = "changelog".$int_pref.".txt";
	}
	
	if ( !file_exists($TMP_FOLDER.$file_name) ) return false;

	$result = file_get_contents($TMP_FOLDER.$file_name);
	$result = htmlspecialchars($result);
	
return $result;
}


function LoadRequired() {
global $TMP_FOLDER, $db, $Required;

	$FileRequired = "required.txt";
	$fp = fopen($TMP_FOLDER.$FileRequired, "r");
	while ( !feof($fp) ) {
		$buffer = chop( fgets($fp, 4096) );
		if (strlen($buffer) > 0) {
			$Required[] = $buffer;
		}
		else {
			break;
		}
	}

	fclose ($fp);
}


function CheckDeps() {
global $TMP_FOLDER, $db, $Required;
global $PatchName, $SystemID, $VersionID, $Description;

	$ReturnValue = 1;
	LoadID();
	LoadRequired();

	$Array = $db->get_col("SELECT `Patch_Name` FROM `Patch`");

	while ( @list($key, $val) = each($Required) ) {
		$cmp = 0;
		for ($i=0; $i<count($Array); $i++) {
			if ( strcmp( (int)sprintf("%0-3s", $Array[$i]), (int)sprintf("%0-3s", $val) )==0 ) {
				$cmp++;
				break;
			}
		}
		if ($cmp==0) {
			print TOOLS_MODULES_ERR_PATCH." ".$val.".<br>\r\n";
			$ReturnValue = 0;
		}
	}
	
return $ReturnValue;
}


function PatchList() {
global $db;

	$result = $db->get_results("SELECT `Patch_Name`, date_format(`Created`, '%d.%m.%Y') AS Time, `Description` FROM `Patch`", ARRAY_A);
	
	if ($result) {
		?>
		<table border='0' cellpadding='0' cellspacing='0' width='100%'>
			<tr>
				<td bgcolor='#CCCCCC'>
				<table border='0' cellpadding='4' cellspacing='1' width='100%'>
					<tr>
						<td bgcolor='#EEEEEE'><font size='-2'><b>ID</b></td>
						<td bgcolor='#EEEEEE'><font size='-2'><b><?=TOOLS_PATCH_LIST_DATE?></b></td>
						<td bgcolor='#EEEEEE' width='60%'><font size='-2'><b><?=CONTROL_FIELD_LIST_DESCRIPTION?></b></td>
					</tr>
		<?php
		foreach ($result AS $value) {
			?>
					<tr>
						<td bgcolor='#FFFFFF'><font size='-2'><b><?=$value['Patch_Name']?></b></td>
						<td bgcolor='#FFFFFF'><font size='-2'><?=$value['Time']?></b></td>
						<td bgcolor='#FFFFFF'><font size='-2'><?=$value['Description']?></b></td>
					</tr>
			<?php
		}
		?>
				</table>
				</td>
			</tr>
		</table>
		<?php
	}
}


function InstallationAborted($msg) {
global $TMP_FOLDER;

	nc_print_status($msg."<br>".TOOLS_PATCH_ERR_CANTINSTALL.".", "error");
	DeleteFilesInDirectory($TMP_FOLDER);
	PatchForm();
	PatchList();
	EndHtml();
	exit;

}


function PatchForm() {
global $db, $UI_CONFIG;
global $LAST_PATCH, $LAST_LOCAL_PATCH, $PATCH_CHECK_DATE;
global $SYSTEM_ID,$VERSION_ID;

	//   , -     3 
	if ( (int)sprintf("%0-3s", $LAST_LOCAL_PATCH)>=(int)sprintf("%0-3s", $LAST_PATCH) ) {
		nc_print_status(TOOLS_PATCH_MSG_OK, "ok");
		$need_update = "false";
	}
	else {
		nc_print_status("<b>".TOOLS_PATCH_INFO_NOTINSTALLED." #".$LAST_PATCH."</b> (<a target=_blank href=http://www.netcat.ru/netcat/modules/default/showpatch.php?system=".$SYSTEM_ID."&version=".$VERSION_ID."&lastpatch=".$LAST_LOCAL_PATCH.">".TOOLS_PATCH_INFO_DOWNLOAD."</a>)", 'info');
		$need_update = "true";
	}

	print "<script>top.updateUpdateIndicator(".$need_update.")</script>";

	echo TOOLS_PATCH_INFO_LASTCHECK." <b>".$PATCH_CHECK_DATE."</b> (<a href='?phase=3'>".TOOLS_PATCH_INFO_REFRESH."</a>)";

	?>
	<br><br>
	<form enctype='multipart/form-data' action='index.php' method='post'>
		<input type='hidden' name='MAX_FILE_SIZE' value='1000000'>
		<fieldset>
		<legend>
			<font color='gray'><b><?=TOOLS_PATCH_INSTALL_LOCAL?></b></font>
		</legend>

		<input size='40' name='FilePatch' type='file'>

		</fieldset>
		<input type='hidden' name='phase' value='2'>
		<input type='submit' class='hidden'>
	</form>
	<?php

	$UI_CONFIG->actionButtons[] = array("id" => "submit",
		"caption" => CONTROL_CLASS_IMPORT_UPLOAD,
		"action" => "mainView.submitIframeForm()");
}


function IsAlreadyInstalled() {
global $db, $PatchName;

	if ($db->get_var("SELECT `Patch_Name` FROM `Patch` WHERE `Patch_Name` = '".$PatchName."'")) return 1;
	
return 0;
}

?>