<?php
/* $Id: function.inc.php 1827 2008-03-03 15:06:36Z chelout $ */

if (!$systemMessageID)
{
    $systemMessageID = $SubdivisionID;
}
$systemTableName = "Subdivision";
$systemTableID = GetSystemTableID ($systemTableName);

#    
function ShowFavorites () {
  global $db, $UI_CONFIG;
  global $EDIT_DOMAIN, $HTTP_ROOT_PATH, $DOMAIN_NAME;
  global $loc, $perm, $ADMIN_PATH, $ADMIN_TEMPLATE, $SUB_FOLDER;

  $is_supervisor = ($perm->isSupervisor() || $perm->isManager() || $perm->isCatalogueAdmin($loc->CatalogueID));

  if (!$is_supervisor) {

    /**
      * id ,    
      */
    $site_admin = $perm->listItems('catalogue');

    /**
      * id ,    
      */
    $sub_admin = $perm->listItems('subdivision');
    /**
      * id   ,    
      */
    $cc_admin = $perm->listItems('subclass');
  }


if (!$is_supervisor) {
  $favorites_site = array();
  $favorites_sub = array();
  $favorites_cc = array();
  if ($site_admin) {
    $favorites_site = $db->get_results("SELECT sub.Subdivision_ID,
                                               sub.Subdivision_Name,
                                               sub.Hidden_URL,
                                               sub.ExternalURL,
                                               sub.Priority,
                                               sub.Catalogue_ID,
                                               catalogue.Catalogue_Name,
                                               catalogue.Domain,
                                               sub.Checked AS SubChecked,
                                               catalogue.Checked AS CatalogueChecked
                                          FROM Subdivision AS sub
                                     LEFT JOIN Catalogue AS catalogue ON catalogue.Catalogue_ID = sub.Catalogue_ID
                                         WHERE Favorite = '1'
                                           AND Catalogue_ID IN (".join(",", $site_admin).")
                                      ORDER BY Catalogue_ID,
                                               Subdivision_ID");
  }
  if ($sub_admin) {
    $favorites_sub = $db->get_results("SELECT sub.Subdivision_ID,
                                              sub.Subdivision_Name,
                                              sub.Hidden_URL,
                                              sub.ExternalURL,
                                              sub.Priority,
                                              sub.Catalogue_ID,
                                              catalogue.Catalogue_Name,
                                              catalogue.Domain,
                                              sub.Checked AS SubChecked,
                                              catalogue.Checked AS CatalogueChecked
                                         FROM Subdivision AS sub
                                    LEFT JOIN Catalogue AS catalogue ON catalogue.Catalogue_ID = sub.Catalogue_ID
                                        WHERE Favorite = '1' AND
                                              Subdivision_ID IN (".join(', ', $sub_admin).")
                                     ORDER BY Catalogue_ID,
                                              Subdivision_ID");
  }
  if ($cc_admin) {
    $favorites_cc = $db->get_results("SELECT sub.Subdivision_ID,
                                             sub.Subdivision_Name,
                                             sub.Hidden_URL,
                                             sub.ExternalURL,
                                             sub.Priority,
                                             sub.Catalogue_ID,
                                             catalogue.Catalogue_Name,
                                             catalogue.Domain,
                                             sub.Checked AS SubChecked,
                                             catalogue.Checked AS CatalogueChecked
                                        FROM Sub_Class as cc
                                   LEFT JOIN Subdivision as sub ON sub.Subdivision_ID = cc.Subdivision_ID
                                   LEFT JOIN Catalogue AS catalogue ON catalogue.Catalogue_ID = sub.Catalogue_ID
                                       WHERE Favorite = '1' AND
                                             cc.Sub_Class_ID IN (".join(', ', $cc_admin).")
                                    ORDER BY Catalogue_ID,
                                             Subdivision_ID");
  }
  $favorites = array_merge((array)$favorites_site, (array)$favorites_sub, (array)$favorites_cc);
} else {
  $favorites = $db->get_results("SELECT sub.Subdivision_ID,
                                        sub.Subdivision_Name,
                                        sub.Hidden_URL,
                                        sub.ExternalURL,
                                        sub.Priority,
                                        sub.Catalogue_ID,
                                        catalogue.Catalogue_Name,
                                        catalogue.Domain,
                                        sub.Checked AS SubChecked,
                                        catalogue.Checked AS CatalogueChecked
                                   FROM Subdivision AS sub
                              LEFT JOIN Catalogue AS catalogue ON catalogue.Catalogue_ID = sub.Catalogue_ID
                                  WHERE sub.Favorite = '1'
                               ORDER BY Catalogue_ID,
                                        Subdivision_ID");
}


    if ($favorites)
    {
        $totrows = $db->num_rows;

        ?>
<form method='POST' action='favorites.php'>
<table border=0 cellpadding=0 cellspacing=0 width=100%>
    <tr>
        <td bgcolor=cccccc>
            <table border=0 cellpadding=4 cellspacing=1 width=100%>
                <tr>
                    <td bgcolor=eeeeee><font size=-2><b>ID</td>
                    <td bgcolor=eeeeee width=100%><font size=-2><b><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_SECTION?></td>
                    <td bgcolor=eeeeee><font size=-2><b><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_SUBSECTIONS?></td>
                    <td bgcolor=eeeeee align=center><font size=-2><b><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_GOTO?></td>
                    <td bgcolor=eeeeee align=center><img src='<?=$ADMIN_TEMPLATE?>img/i_delete.gif' width='16' height='16' alt='<?=CONTROL_CONTENT_SUBDIVISION_FUNCS_DELETE?>'></td>
                </tr>

        <?php
        $temp_group="";

        foreach ($favorites as $Array) {
          if ($temp_group!=$Array->Catalogue_ID)
            print "<tr><td bgcolor=#F8F8F8 style='font-weight:bold;'><br></td><td bgcolor=#F8F8F8 colspan=4 style='font-weight:bold;'><a href=".$ADMIN_PATH."subdivision/full.php?CatalogueID=".$Array->Catalogue_ID." title='".CONTROL_CONTENT_CATALOUGE_ONESITE."'>".(!$Array->CatalogueChecked?"<font color=cccccc>":"").$Array->Catalogue_Name.(!$Array->CatalogueChecked?"</font>":"")."</a></td></tr>";
            print "<tr>
                     <td bgcolor=white style='font-weight:bold;".(!$Array->SubChecked?" color:#cccccc;":"")."'>".$Array->Subdivision_ID."</td>
                     <td bgcolor=white><a href=\"index.php?phase=4&SubdivisionID=".$Array->Subdivision_ID."\">".(!$Array->SubChecked?"<font color=cccccc>":"").$Array->Subdivision_Name."</a></td>
                     <td bgcolor=white><a href=index.php?phase=1&ParentSubID=".$Array->Subdivision_ID.">".(!$Array->SubChecked?"<font color=cccccc>":"").(!ChildrenNumber ($Array->Subdivision_ID)?CONTROL_CONTENT_SUBDIVISION_FUNCS_NONE:CONTROL_CONTENT_SUBDIVISION_FUNCS_LIST." (".ChildrenNumber ($Array->Subdivision_ID).")")."</a></td>
                     <td bgcolor=white align=center nowrap><a href=index.php?phase=5&SubdivisionID=".$Array->Subdivision_ID."><img border=0 src='".$ADMIN_TEMPLATE."img/i_settings.gif' width=16 height=16 alt='".CONTROL_CONTENT_SUBDIVISION_FUNCS_TOOPTIONS."' title='".CONTROL_CONTENT_SUBDIVISION_FUNCS_TOOPTIONS."' style='margin:0px 2px 0px 2px;'></a><a href=".($Array->ExternalURL?(strchr($Array->ExternalURL,":")?$Array->ExternalURL:"http://".($Array->Domain?(strchr($Array->Domain,".")?$Array->Domain:$Array->Domain.".".$DOMAIN_NAME):$DOMAIN_NAME).($Array->ExternalURL ? $Array->ExternalURL : $Array->Hidden_URL)):"http://".($Array->Domain?(strchr($Array->Domain,".")?$Array->Domain:$Array->Domain.".".$DOMAIN_NAME):$DOMAIN_NAME).($Array->ExternalURL ? $Array->ExternalURL : $Array->Hidden_URL)).(session_id()?"?".session_name()."=".session_id():"")." target=_blank><img border=0 src='".$ADMIN_TEMPLATE."img/i_preview.gif' width=16 height=16 alt='".CONTROL_CONTENT_SUBDIVISION_FUNCS_TOVIEW."' title='".CONTROL_CONTENT_SUBDIVISION_FUNCS_TOVIEW."' style='margin:0px 2px 0px 2px;'></a>".((!GetSubClassCount($Array->Subdivision_ID))?"<img src=".$ADMIN_TEMPLATE."img/px.gif width=16 height=16 style='margin:0px 2px 0px 2px;'>":"<a target=_blank href=http://".$EDIT_DOMAIN.$HTTP_ROOT_PATH."?catalogue=".$Array->Catalogue_ID."&sub=".$Array->Subdivision_ID.(session_id()?"?".session_name()."=".session_id():"")."><img border=0 src='".$ADMIN_TEMPLATE."img/i_folder_edit.gif' width=16 height=16 alt='".CONTROL_CONTENT_SUBDIVISION_FUNCS_TOEDIT."' title='".CONTROL_CONTENT_SUBDIVISION_FUNCS_TOEDIT."' style='margin:0px 2px 0px 2px;'></a>")."</td>
                     <td bgcolor=white align=center><input type=checkbox name=Delete[".$Array->Subdivision_ID."] value=".$Array->Subdivision_ID."></td>\n
                   </tr>\n";

          $temp_group=$Array->Catalogue_ID;
        }
        ?>
            </table>
        </td>
    </tr>
 </table>
<input type='hidden' name='phase' value='6'>
<input type='submit' class='hidden'>
</form>
        <?php
      $UI_CONFIG->actionButtons[] = array("id" => "delete",
                                          "caption" => NETCAT_ADMIN_DELETE_SELECTED,
                                          "action" => "mainView.submitIframeForm()",
                                          "align" => "left");
    } else {
      nc_print_status(CONTROL_CONTENT_SUBDIVISION_FUNCS_NOONEFAVORITES, 'info');
    }
    $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                        "caption" => CONTROL_CONTENT_SUBDIVISION_FUNCS_ADDSECTION,
                                        "action" => "window.open('".$ADMIN_PATH."subdivision/favorites.php?phase=4','LIST','top=50, left=100,directories=no,height=600,location=no,menubar=no,resizable=no,scrollbars=yes,status=yes,toolbar=no,width=400')");
}

###############################################################################

#      
function ShowSubdivisionList ()
{
    global $db;
    global $EDIT_DOMAIN, $HTTP_ROOT_PATH, $SUB_FOLDER;
    global $loc, $perm;
    global $DOMAIN_NAME;
    global $UI_CONFIG, $ADMIN_PATH, $ADMIN_TEMPLATE;

    $is_supervisor = ($perm->isSupervisor() || $perm->isManager() || $perm->isCatalogueAdmin($loc->CatalogueID));

    /**
      *  sql-,    , 
      *   
      */
    $security_limit = "";

    if (!$is_supervisor) {
      /**
        * id ,    
        */
      $sub_admin = $perm->listItems('subdivision');
      /**
        * id   ,    
        */
      $cc_admin = $perm->listItems('subclass');
      /**
        * id ,    (  $site_admin,
        * $sub_admin, $cc_admin)
        */
      $allowed_sites = array();

      /**
        * id ,   , 
        *  $sub_admin + $cc_admin
        */
      $sub_and_cc_admin = $sub_admin;
      if ($cc_admin) {
        $res = $db->get_results("SELECT Subdivision_ID
                                   FROM Sub_Class
                                  WHERE Sub_Class_ID IN (".join(',', $cc_admin).")", ARRAY_A);
        foreach ($res as $row) {
          $sub_and_cc_admin[] = $row['Subdivision_ID'];
        }
      }

      if ($sub_and_cc_admin) {
        //     ,   
        //   
        $res = $db->get_results("SELECT parent.Subdivision_ID
                                   FROM Subdivision as parent, Subdivision as allowed
                                  WHERE allowed.Subdivision_ID IN (".join(',', array_unique($sub_and_cc_admin)).")
                                    AND allowed.Hidden_URL LIKE CONCAT(parent.Hidden_URL, '%')", ARRAY_A);
        /**
          * ,    
          */
        $allowed_subs = array();
        foreach ((array)$res as $row) { // flatten array
          $allowed_subs[] = $row['Subdivision_ID'];
        }

        /**
          * id ,      ,  
          *      --   
          * (as of 3.0)
          */
        $sub_child_administrator = array();
        //     
        $res = $db->get_results("SELECT child.Subdivision_ID, allowed.Subdivision_ID as Allowed_Subdivision_ID
                                   FROM Subdivision as child, Subdivision as allowed
                                  WHERE allowed.Subdivision_ID IN (".join(',', array_unique($sub_admin)).")
                                    AND child.Hidden_URL LIKE CONCAT(allowed.Hidden_URL, '_%')", ARRAY_A);
        foreach ((array)$res as $row) {
          $allowed_subs[] = $row['Subdivision_ID'];
          $sub_child_administrator[ $row['Subdivision_ID'] ] = $row['Allowed_Subdivision_ID'];
        }

        if ($allowed_subs) {
          $qry_where .= " AND a.Subdivision_ID IN (".join(',', $allowed_subs).") ";
        }
      }
    }
    
    if ($Result = $db->get_results("select a.Subdivision_ID,a.Subdivision_Name,a.Priority,a.Checked,a.Hidden_URL,b.Domain,a.Catalogue_ID,a.ExternalURL from Subdivision AS a,Catalogue AS b where a.Parent_Sub_ID=".$loc->ParentSubID." and a.Catalogue_ID=".$loc->CatalogueID." AND a.Catalogue_ID=b.Catalogue_ID ".$qry_where." order by a.Priority",ARRAY_N))
    {
        $totrows = $db->num_rows;

        ?>
 <form method=post action=index.php>

 <table border=0 cellpadding=0 cellspacing=0 width=100%><tr><td bgcolor=cccccc>

 <table border=0 cellpadding=4 cellspacing=1 width=100%>
 <tr>
 <td bgcolor=eeeeee><font size=-2><b>ID</td>
 <td bgcolor=eeeeee width=60%><font size=-2><b><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_SECTION?></td>
 <td bgcolor=eeeeee><font size=-2><b><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_SUBSECTIONS?></td>
 <?

 if ($is_supervisor) print "<td bgcolor=eeeeee align=center><img src=".$ADMIN_PATH."images/prior.gif width=16 height=16 alt='".CONTROL_CONTENT_SUBDIVISION_FUNCS_PRIORITY."'></td>";

 ?>
 <td bgcolor=eeeeee align=center><font size=-2><b><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_GOTO?></td>
 <td bgcolor=eeeeee align=center><img src='<?=$ADMIN_TEMPLATE?>img/i_delete.gif' width='16' height='16' alt='<?=CONTROL_CONTENT_SUBDIVISION_FUNCS_DELETE?>'></td>
 </tr>
        <?php
        foreach ($Result as $Array)
        {
            $hidden_host = "http://".($Array[5]?(strchr($Array[5],".")?$Array[5]:$Array[5].".".$DOMAIN_NAME):$DOMAIN_NAME);
            $children = 0;
            print "<tr><td bgcolor=white><font size=-2".(!$Array[3]?" color=cccccc":"")."><b>".$Array[0]."</td>";
            print "<td bgcolor=white><a href=\"index.php?phase=4&SubdivisionID=".$Array[0]."\">".(!$Array[3]?"<font color=cccccc>":"").$Array[1]."</a></td>";
            print "<td bgcolor=white><font size=-2><a href=index.php?phase=1&CatalogueID=".$loc->CatalogueID."&ParentSubID=".$Array[0].">".(!$Array[3]?"<font color=cccccc>":"").(!ChildrenNumber($Array[0])?CONTROL_CONTENT_SUBDIVISION_FUNCS_NONE:CONTROL_CONTENT_SUBDIVISION_FUNCS_LIST." (".($children=ChildrenNumber ($Array[0])).")")."</a></td>";
            if ($is_supervisor) print "<td bgcolor=white align=center><input type=text name=Priority".$Array[0]." size=3 class=s value='".$Array[2]."'></td>";

            print "<td bgcolor=white align=center>";

            //setup
            print "<a href='index.php?phase=5&SubdivisionID=".$Array[0]."''><img src='".$ADMIN_TEMPLATE."img/i_settings.gif' border='0' width='16' height='16' alt='".CONTROL_CONTENT_SUBDIVISION_FUNCS_TOOPTIONS."' title='".CONTROL_CONTENT_SUBDIVISION_FUNCS_TOOPTIONS."' style='margin:0px 2px 0px 2px;'></a>";

            //browse
            print "<a href='".($Array[7]?(strchr($Array[7],":")?$Array[7]:$hidden_host.$Array[7]):$hidden_host.$Array[4])."' target='_blank'><img src='".$ADMIN_TEMPLATE."img/i_preview.gif' border='0' width='16' height='16' alt='".CONTROL_CONTENT_SUBDIVISION_FUNCS_TOVIEW."' title='".CONTROL_CONTENT_SUBDIVISION_FUNCS_TOVIEW."' style='margin:0px 2px 0px 2px;'></a>";

            //edit
            //print ((!GetSubClassCount($Array[0]))?"<img src=../images/emp.gif width=18 height=18 style='margin:0px 2px 0px 2px;'>":"<a target=_blank href=http://".$EDIT_DOMAIN.$HTTP_ROOT_PATH."?catalogue=".$Array[6]."&sub=".$Array[0].(strlen(session_id()) > 0?"&".session_name()."=".session_id()."":"")."><img src='/netcat/admin/skins/default/img/i_folder_edit.gif' border='0' width='16' height='16' alt='".CONTROL_CONTENT_SUBDIVISION_FUNCS_TOEDIT."' title='".CONTROL_CONTENT_SUBDIVISION_FUNCS_TOEDIT."' style='margin:0px 2px 0px 2px;'></a>");

            if (GetSubClassCount($Array[0])) {
              $cc_id = $db->get_var("SELECT Sub_Class_ID FROM Sub_Class WHERE Subdivision_ID = '".$Array[0]."'");
              print "<a href='http://".$EDIT_DOMAIN.$SUB_FOLDER.$HTTP_ROOT_PATH."?inside_admin=1&cc=".$cc_id.(strlen(session_id()) > 0?"&".session_name()."=".session_id()."":"")."'><img src='".$ADMIN_TEMPLATE."img/i_folder_edit.gif' border='0' width='16' height='16' alt='".CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWMENU_A_EDIT."' title='".CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWMENU_A_EDIT."'></a>";
            } else {
              print "<img src=".$ADMIN_PATH."images/emp.gif width=16 height=16>";
            }

            print"</td>";

            print "<td bgcolor=white align=center><input type=checkbox name=Delete".$Array[0]." value=".$Array[0]."></td>\n";
            print "</tr>\n";
        }
        ?>
 </table></td></tr></table>
        <?php
    }
    else
    {
      if (!$loc->ParentSubID) {
        nc_print_status(CONTROL_CONTENT_SUBDIVISION_FUNCS_NOSECTIONS, 'info');
      } else {
        nc_print_status(CONTROL_CONTENT_SUBDIVISION_FUNCS_NOSUBSECTIONS, 'info');
      }
    }

    if ($totrows) {
      print "<input type=hidden name=phase VALUE=7>";
      print "<input type=hidden name=CatalogueID VALUE=".$loc->CatalogueID.">";
      print "<input type=hidden name=ParentSubID VALUE=".$loc->ParentSubID.">";
	  print "<input type='submit' class='hidden'>";
      print "</form>";
      $UI_CONFIG->actionButtons[] = array("id" => "delete",
                                          "caption" => CONTROL_CONTENT_SUBDIVISION_FUNCS_SAVE,
                                          "action" => "mainView.submitIframeForm()",
                                          "align" => "left"
                                          );
    }
    $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                        "caption" => CONTROL_CONTENT_SUBDIVISION_FUNCS_ADDSECTION,
                                        "location" => "subdivision.add($loc->ParentSubID,".$loc->CatalogueID.")"
                                        );
}

###############################################################################

#  / 
function SubdivisionForm ($phase, $action, $type, $full=0)
{
    # type = 1 -  insert
    # type = 2 -  update
    global $HTTP_FILES_PATH, $DOMAIN_NAME;
    global $FILES_FOLDER, $INCLUDE_FOLDER;
    global $db, $ROOT_FOLDER, $admin_mode;
    global $systemTableID, $systemMessageID, $systemTableName, $ParentSubID;
    global $loc, $perm;
    global $posting;

    $loc->CatalogueID+=0;
    $loc->ParentSubID+=0;
    $loc->SubdivisionID+=0;


    require_once $INCLUDE_FOLDER."s_files.inc.php";
    $is_there_any_files = getFileCount(0,$systemTableID);

    while (list($key, $val) = each($_POST))
    {
        eval("global \$".$key.";");
    }
    while (list($key, $val) = each($_FILES))
    {
        eval("global \$".$key.";");
    }

    if ($type == 1)
    {
        global $Subdivision_Name, $TemplateID, $ReadAccessID;
        global $WriteAccessID, $EditAccessID, $SubscribeAccessID, $ModerationID;
        global $Checked, $ExternalURL, $EnglishName, $Favorite, $Priority, $UseMultiSubClass, $UseEditDesignTemplate;

        if ($Priority=="" && $Checked=="")
        {
            $Checked = 1;
        }
        if ($Priority=="")
        {
            $res = $db->get_var("SELECT (Priority+1) FROM Subdivision WHERE Parent_Sub_ID=".$loc->ParentSubID." AND Catalogue_ID=".$loc->CatalogueID." ORDER BY Priority DESC LIMIT 1");
            if (!is_null($res))
            {
                $Priority = $res;
            }
        }

        $Array["Subdivision_Name"] = $Subdivision_Name;
        $Array["Template_ID"] = $TemplateID;
        $Array["Read_Access_ID"] = $ReadAccessID;
        $Array["Write_Access_ID"] = $WriteAccessID;
        $Array["Edit_Access_ID"] = $EditAccessID;
        $Array["Subscribe_Access_ID"] = $SubscribeAccessID;
        $Array["Moderation_ID"] = $ModerationID;
        $Array["Checked"] = $Checked;
        $Array["ExternalURL"] = $ExternalURL;
        $Array["EnglishName"] = $EnglishName;
        $Array["Priority"] = $Priority;
        $Array["Favorite"] = $Favorite;
        $Array["UseMultiSubClass"] = $UseMultiSubClass;
		$Array["UseEditDesignTemplate"] = $UseEditDesignTemplate;

    }
    else if ($type == 2) {
      $select = "SELECT Subdivision_Name,
                        Parent_Sub_ID,
                        Template_ID,
                        ExternalURL,
                        EnglishName,
                        Catalogue_ID,
                        Priority,
                        Read_Access_ID,
                        Write_Access_ID,
                        Edit_Access_ID,
                        Subscribe_Access_ID,
                        Moderation_ID,
                        Checked,
                        Favorite,
                        UseMultiSubClass,
						UseEditDesignTemplate
                   FROM Subdivision
                  WHERE Subdivision_ID='".$loc->SubdivisionID."'";
      $Array = $db->get_row($select, ARRAY_A);
    }

    ?>
 <form <?=$is_there_any_files?"enctype=multipart/form-data":""?> method=post action="<? print $action; ?>">
<INPUT id=fav TYPE=CHECKBOX NAME=Favorite VALUE=1 <?=($Array["Favorite"]==1?" checked":"")?>> <label for=fav><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ADDFAVOTITES?></label><br><br>

<fieldset>
<legend><b><font color=gray><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA?></font></b></legend>
<table border=0 cellpadding=6 cellspacing=0 width=100%>
<tr><td><font color=gray><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_NAME?>:<br><input type=text name=Subdivision_Name size=50 maxlength=255 value='<?=htmlspecialchars($Array["Subdivision_Name"], ENT_QUOTES)?>'></td></tr>
<tr><td><font color=gray><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_KEYWORD?>:<br><input type=text name=EnglishName size=50 maxlength=255 value='<?=htmlspecialchars($Array["EnglishName"])?>'></td></tr>
<tr><td><font color=gray><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_EXTURL?>:<br><INPUT TYPE=TEXT NAME=ExternalURL SIZE=50 VALUE='<?=htmlspecialchars($Array["ExternalURL"])?>'></TD></TR>
    <?php
    if ($type==1)
    {
        if ($loc->ParentSubID)
        {
            $SubEnv = InheritSubdivisionEnv($loc->ParentSubID);
        }
        else
        {
            $SubEnv = $db->get_row("SELECT * FROM Catalogue WHERE Catalogue_ID=".$loc->CatalogueID,ARRAY_A);
        }
    }
    else if($type==2)
    {
        $SubEnv = InheritSubdivisionEnv($loc->SubdivisionID);
    }

    ?>
<tr><td>
<table border=0 cellpadding=0 cellspacing=0 width=100%><tr><td width=50%><font color=gray>
<?=CONTROL_CONTENT_SUBDIVISION_FUNCS_PRIORITY?>: <INPUT TYPE=TEXT NAME=Priority SIZE=3 maxlength=3 readonly VALUE='<?=($Array["Priority"]+0)?>'>
</td><td><font color=gray>
<INPUT id=turnon TYPE=CHECKBOX NAME=Checked VALUE=1 <?=$Array["Checked"]?"checked":""?>> <label for=turnon><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_TURNON?></label>
</td></tr></table>
</td></tr>
<tr>
  <td>
    <font color='gray'><input id='multi' type='checkbox' name='UseMultiSubClass' value='1' <?=$Array["UseMultiSubClass"]?"checked":""?>> <label for='multi'><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_MULTI_SUB_CLASS?></label></td></tr>
</table>
</fieldset>
<br>
<fieldset>
 <legend><b><font color='gray'><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_DTEMPLATE ?></font></b></legend>
 <table border='0' cellpadding='6' cellspacing='0' width='100%'><tr><td>
 <table border='0' cellpadding='0' cellspacing='0' width='100%'>
 <?
    #,   
    $parent_stuff=($type==1?$loc->ParentSubID:$Array['Parent_Sub_ID']);
    if ($parent_stuff) {
        while (!$watch_templ['Template_ID']) {
            $watch_templ = $db->get_row("SELECT a.Subdivision_ID,a.Parent_Sub_ID, a.Template_ID, b.Description as TemplateName FROM Subdivision as a LEFT JOIN Template as b ON b.Template_ID=a.Template_ID WHERE Subdivision_ID=".$parent_stuff."",ARRAY_A);


            if (!$watch_templ['Template_ID'] && !$watch_templ['Parent_Sub_ID']){
                $watch_templ = $db->get_row("SELECT a.Template_ID, b.Description as TemplateName  FROM Catalogue as a, Template as b WHERE Catalogue_ID=".$loc->CatalogueID." AND b.Template_ID=a.Template_ID",ARRAY_A);
                break; // exit from loop
            }

            $parent_stuff=$watch_templ['Parent_Sub_ID'];
        }
    }
    else {
        $watch_templ = $db->get_row("SELECT a.Template_ID, b.Description as TemplateName  FROM Catalogue as a, Template as b WHERE Catalogue_ID=".$loc->CatalogueID." AND b.Template_ID=a.Template_ID",ARRAY_A);
    }

    #/,   

    $Result = $db->get_results("SELECT Template_ID as value,
                                       CONCAT(Template_ID, '. ', Description) as description,
                                       Parent_Template_ID as parent
                                  FROM Template
                                 ORDER BY Template_ID", ARRAY_A);
    print "<tr><td><font color='gray'>".CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_DTEMPLATE.":<br>";
    print "<select name='TemplateID' onchange='loadCustomTplSettings(0, ".($loc->SubdivisionID?$loc->SubdivisionID:-1).", this.options[this.selectedIndex].value)'>\n";
    print "<option ".($Array["Template_ID"] ? "" : "selected ")."value='0'>".CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_DTEMPLATE_N." [".$watch_templ['Template_ID'].". ".$watch_templ['TemplateName']."]</OPTION>";
    print nc_select_options($Result, $Array["Template_ID"]);
    print "</select>\n";
    print "</td></tr>\n\n";
  ?>
  <tr><td>
  <br>
  <INPUT id=uedt TYPE=CHECKBOX NAME=UseEditDesignTemplate VALUE=1 <?=($Array["UseEditDesignTemplate"]==1?" checked":"")?>> <label for=uedt><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_USEEDITDESIGNTEMPLATE?></label>
  <br>
  </td></tr>
  </table>
  <br><div id='customTplSettings'></div>
  </td></tr></table>
</fieldset>
<script>
 loadCustomTplSettings(<?="0, ".($loc->SubdivisionID?$loc->SubdivisionID:-1).", ".(int)$Array['Template_ID'] ?>)
</script>
<br>
<?
if ($type==1) {
  echo "<fieldset>\n";
  echo "\t<legend><b><font color='gray'>".CONTROL_USER_FUNCS_CLASSINSECTION."</font></b></legend>\n";
  echo "\t<table border='0' cellpadding='6' cellspacing='0' width='100%'><tr><td>\n";
  echo "\t<table border='0' cellpadding='0' cellspacing='0' width='100%'>\n";
 
  global $ClassID;
  $classes = $db->get_results("SELECT Class_ID as value,
                               CONCAT(Class_ID, '. ', Class_Name) as description,
                            Class_Group as optgroup
                                   FROM Class
                               ORDER BY Class_Group,
                                        Class_ID", ARRAY_A);

  echo "<tr><td><font color=gray>".CONTROL_CLASS_CLASS.":<br>";

  echo "<select id='ClassID' name='ClassID' onchange='loadClassDescription(this.options[this.selectedIndex].value); loadClassCustomSettings(this.options[this.selectedIndex].value)'>";
  echo "<option value='0'".(!$ClassID?" selected":"").">".NOT_ELSEWHERE_SPECIFIED."</option>\n";
  echo nc_select_options($classes, $ClassID);
  echo "</select>";
        
  echo "<div id='loadClassDescription'></div>";
  echo "<script>loadClassDescription(".$ClassID.")</script>";

  echo "\t</table>\n";
//  echo "\t<br><div id='customTplSettings'></div>\n";
  echo "\t</td></tr></table>\n";
  echo "</fieldset><br>\n";

  echo "<div id='loadClassCustomSettings'></div>";
  echo "<script>loadClassCustomSettings(".$ClassID.")</script>";

}

?>
<div id='accessOff' style='cursor: pointer;' onclick='this.style.display="none";document.getElementById("accessOn").style.display="";'>
  <b> &#x25BA; <?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS?></b>
</div>
<div id='accessOn' style='display: none'>
<fieldset>
<legend><b><font color='gray' style='cursor: pointer;' onclick='document.getElementById("accessOn").style.display="none";document.getElementById("accessOff").style.display="";'> &#x25BC; <?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS?>:</font></b></legend>
<br>
<center><table border=0 cellpadding=0 cellspacing=0 width=95%><tr><td bgcolor=cccccc>
<table border=0 cellpadding=4 cellspacing=1 width=100%>
<tr align=center>
<td rowspan=2 width=25% bgcolor=white><br></td>
<td colspan=4 bgcolor=eeeeee><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_USERS?></td>
</tr>
<tr align=center><td bgcolor=eeeeee width=20%><font color=gray size=-2><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_INHERIT?></td>
    <?php
    echo "<td width=25% bgcolor=eeeeee><font size=-2>".CLASSIFICATOR_USERGROUP_ALL."</td>";
    echo "<td width=25% bgcolor=eeeeee><font size=-2>".CLASSIFICATOR_USERGROUP_REGISTERED."</td>";
    echo "<td width=25% bgcolor=eeeeee><font size=-2>".CLASSIFICATOR_USERGROUP_AUTHORIZED."</td>";
    $AccessType = array(0 => array(0 => 1, 1 => CLASSIFICATOR_USERGROUP_ALL),
    1 => array(0 => 2, 1 => CLASSIFICATOR_USERGROUP_REGISTERED),
    2 => array(0 => 3, 1 => CLASSIFICATOR_USERGROUP_AUTHORIZED));
    ?>
</tr>
<tr align=center>
<td bgcolor=eeeeee><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_VIEW?></td>
<td bgcolor=white><input class=w name=ReadAccessID type=radio <?=(!$Array["Read_Access_ID"]?"checked":"")?> value=0></td>
    <?php
    for ($i=0;$i<count($AccessType);$i++)
    {
        echo "<td bgcolor=".(($AccessType[$i][0] == $SubEnv["Read_Access_ID"])?"e7e7e7":"white")."><input class=w name=ReadAccessID ".(($AccessType[$i][0] == $Array["Read_Access_ID"])?"checked":"")." type=radio value=".$AccessType[$i][0]."></td>";
    }
    ?>
</tr>
<tr align=center>
<td bgcolor=eeeeee><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_ADD?></td>
<td bgcolor=white><input class=w name=WriteAccessID type=radio <?=(!$Array["Write_Access_ID"]?"checked":"")?> value=0></td>
    <?php
    for ($i=0;$i<count($AccessType);$i++)
    {
        echo "<td bgcolor=".(($AccessType[$i][0] == $SubEnv["Write_Access_ID"])?"e7e7e7":"white")."><input class=w name=WriteAccessID ".(($AccessType[$i][0] == $Array["Write_Access_ID"])?"checked":"")." type=radio value=".$AccessType[$i][0]."></td>";
    }
    ?>
</tr>
<tr align=center>
<td bgcolor=eeeeee><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_EDIT?></td>
<td bgcolor=white><input class=w name=EditAccessID type=radio <?=(!$Array["Edit_Access_ID"]?"checked":"")?> value=0></td>
    <?
    for ($i=0;$i<count($AccessType);$i++)
    {
        echo "<td bgcolor=".(($AccessType[$i][0] == $SubEnv["Edit_Access_ID"])?"e7e7e7":"white")."><input class=w name=EditAccessID ".(($AccessType[$i][0] == $Array["Edit_Access_ID"])?"checked":"")." type=radio value=".$AccessType[$i][0]."></td>";
    }
    ?>
</tr>
<tr align=center>
<td bgcolor=eeeeee><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_SUBSCRIBE?></td>
<td bgcolor=white><input class=w name=SubscribeAccessID type=radio <?=(!$Array["Subscribe_Access_ID"]?"checked":"")?> value=0></td>
    <?php
    for ($i=0;$i<count($AccessType);$i++)
    {
        echo "<td bgcolor=".(($AccessType[$i][0] == $SubEnv["Subscribe_Access_ID"])?"e7e7e7":"white")."><input class=w name=SubscribeAccessID ".(($AccessType[$i][0] == $Array["Subscribe_Access_ID"])?"checked":"")." type=radio value=".$AccessType[$i][0]."></td>";
    }
    ?>
</tr>
</table>
</td></tr></table></center><br>


<table border=0 cellpadding=6 cellspacing=0 width=100%>
    <?php
    print "<TR><TD valign=top width=30%><font color=gray>".CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_PUBLISH.":</td><td>";

    if ($type == 2)
    {
        if ($loc->ParentSubID)
        {
            $SubEnv = InheritSubdivisionEnv($loc->ParentSubID);
        }
        else
        {
            $SubEnv = $db->get_row("SELECT * FROM Catalogue WHERE Catalogue_ID=".$loc->CatalogueID,ARRAY_A);
        }
    }

    if ($SubEnv['Moderation_ID'] == 2)
    {
        $TypeOfModerationName = CLASSIFICATOR_TYPEOFMODERATION_MODERATION;
    }
    elseif ($SubEnv['Moderation_ID'] == 1)
    {
        $TypeOfModerationName = CLASSIFICATOR_TYPEOFMODERATION_RIGHTAWAY;
    }

    echo "<input type=radio name=ModerationID value=0 id=mod0";

    if ($type == 2 && $Array['Moderation_ID'] == "0")
    {
        echo " checked ";
    }
    elseif ($type == 1)
    {
        echo " checked ";
    }

    echo "><label for=mod0><font color=gray>" . CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_INHERIT;
    echo " (${TypeOfModerationName})</font></label><br>";

    echo "<input type=radio name=ModerationID value=1 id=mod1";

    if ($type == 2 && $Array['Moderation_ID'] == 1)
    {
        echo " checked ";
    }

    echo "><label for=mod1>".CLASSIFICATOR_TYPEOFMODERATION_RIGHTAWAY."</label><br>";
    echo "<input type=radio name=ModerationID VALUE=2 id=mod2";

    if ($type == 2 && $Array['Moderation_ID'] == 2)
    {
        echo " checked ";
    }

    echo "><label for=mod2>".CLASSIFICATOR_TYPEOFMODERATION_MODERATION."</label><br>";
    print "</SELECT></TD></TR>\n\n";
    ?>
</table></fieldset>
</div>
<br>

    <?php
    if ($type==1)
    {
        $action = "add";
    }
    if ($type==2)
    {
        $action = "change";
        $message = $systemMessageID;
    }

    require $ROOT_FOLDER."message_fields.php";

    if ($fldCount)
    {
        if ($type == 2)
        {
            $fieldQuery = join($fld, ",");
            $fldValue = $db->get_row("select ".$fieldQuery." from Subdivision where Subdivision_ID=".$systemMessageID,ARRAY_N);
        }
    ?>
<div id='extFieldsOff' style='cursor: pointer;' onclick='this.style.display="none";document.getElementById("extFieldsOn").style.display="";'>
  <b> &#x25BA; <?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_ADVANCEDFIELDS?></b>
</div>
<div id='extFieldsOn' style='display: none'>
<fieldset>
<legend><b><font color='gray' style='cursor: pointer;' onclick='document.getElementById("extFieldsOn").style.display="none";document.getElementById("extFieldsOff").style.display="";'> &#x25BC; <?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_ADVANCEDFIELDS?>:</font></b></legend>
<table border=0 cellpadding=6 cellspacing=0 width=100%><tr><td><font color=gray>
<?require $ROOT_FOLDER."message_edit.php";?>
</font></table></fieldset>
</div>
    <?php
    }

    print "\n<INPUT TYPE=HIDDEN NAME=posting VALUE=1>\n";
    print "<INPUT TYPE=HIDDEN NAME=type VALUE=$type>\n";
    print "<INPUT TYPE=HIDDEN NAME=phase VALUE=$phase>\n";
    print "<INPUT TYPE=HIDDEN NAME=SubdivisionID VALUE=".$loc->SubdivisionID.">\n";
    print "<input type=hidden name=CatalogueID value=".$loc->CatalogueID.">\n";
    print "<input type=hidden name=ParentSubID value=".$loc->ParentSubID.">\n";
    print "<input type=hidden name=full value=".$full.">\n";

    //  $ClassID  $Class_Type   
    global $Class_Type;
    if ($ClassID) echo "<input type='hidden' name='ClassID' value='".$ClassID."'>\n";
    if ($Class_Type) echo "<input type='hidden' name='Class_Type' value='".$Class_Type."'>\n";    

    global $UI_CONFIG;

    if ($type==1)
    {
       $UI_CONFIG = new ui_config_subdivision_add($ParentSubID, $loc->CatalogueID);
       $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                           "caption" => CONTROL_CONTENT_SUBDIVISION_FUNCS_ADDSECTION,
                                           "action" => "mainView.submitIframeForm()"
                                          );
    }
    elseif ($type==2)
    {
//       $UI_CONFIG = new ui_config_subdivision('subdivision', $loc->SubdivisionID);
       $UI_CONFIG = new ui_config_subdivision_settings($loc->SubdivisionID);
       $UI_CONFIG->updateTreeSubdivisionNode($loc->SubdivisionID, $Array["Subdivision_Name"], $Array["Checked"]);
       $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                           "caption" => CONTROL_CONTENT_SUBDIVISION_FUNCS_SAVE,
                                           "action" => "mainView.submitIframeForm()"
                                          );
    }

    ?>
 <input type=hidden name=posting value=1>
 <input type=hidden name=phase value=<?=$phase; ?>>
 <input type='submit' class='hidden'>
 </form>
    <?php
}

###############################################################################

# / 
function ActionSubdivisionCompleted ($type)
{
    global $HTTP_ROOT_PATH, $HTTP_DOMAIN, $SUB_FOLDER;
    global $loc, $perm, $admin_mode;
    global $db, $ROOT_FOLDER, $FILECHMOD, $DIRCHMOD;
    global $systemTableID, $systemTableName, $systemMessageID;
    global $FILES_FOLDER, $INCLUDE_FOLDER;

    require_once $INCLUDE_FOLDER."s_files.inc.php";
    $is_there_any_files = getFileCount(0,$systemTableID);

    while (list($key, $val) = each($_POST))
    {
        eval("global \$".$key.";");
    }
    while (list($key, $val) = each($_FILES))
    {
        eval("global \$".$key.";");
    }

    $Priority += 0;

    if ($type==1)
    {
        $action = "add";
    }
    if ($type==2)
    {
        $action = "change";
        $message = $loc->SubdivisionID;
    }

    // prepare template custom settings
    $settings = $db->get_var("SELECT CustomSettings FROM Template WHERE Template_ID = '$TemplateID'");
    if ($settings) {
      require_once($GLOBALS['ADMIN_FOLDER'] . "array_to_form.inc.php");
      $a2f = new nc_a2f($settings, $_POST['TemplateSettings'], 'TemplateSettings');
      if ($a2f->has_errors()) {
        $warnText = $a2f->get_validation_errors();
        $posting = 0;
      }
      $TemplateSettings = $a2f->get_values_as_string();
    }
    else {
      $TemplateSettings = "";
    }

    require $ROOT_FOLDER."message_fields.php";
    require $ROOT_FOLDER."message_put.php";

    if ($posting == 0)
    {
        nc_print_status($warnText, 'error');
        SubdivisionForm ($phase, "index.php", $type);
        return false;
    }

    if ($type == 1)
    {
        $insert = "insert into Subdivision (";
        for($i=0;$i<$fldCount;$i++)
        {
            $insert .= $fld[$i].",";
        }
        $insert .= "Catalogue_ID, Parent_Sub_ID, Subdivision_Name, Template_ID, Read_Access_ID, Write_Access_ID, Edit_Access_ID, Subscribe_Access_ID, Moderation_ID, Checked, ExternalURL, EnglishName, Favorite, Created, Priority, UseMultiSubClass, UseEditDesignTemplate, TemplateSettings)";
        $insert .= " values(";
        for($i=0;$i<$fldCount;$i++)
        {
            $insert .= $fldValue[$i].",";
        }
        $insert .= $loc->CatalogueID.",";
        $insert .= $loc->ParentSubID.",";
        $insert .= "\"".$Subdivision_Name."\",";
        $insert .= $TemplateID.",";
        $insert .= "\"".$ReadAccessID."\",";
        $insert .= "\"".$WriteAccessID."\",";
        $insert .= "\"".$EditAccessID."\",";
        $insert .= "\"".$SubscribeAccessID."\",";
        $insert .= "\"".$ModerationID."\",";
        $insert .= "\"".$Checked."\",";
        $insert .= "\"".$ExternalURL."\",";
        $insert .= "\"".$EnglishName."\",";
        $insert .= "\"".$Favorite."\",";
        $insert .= "\"".date("Y-m-d H:i:s")."\",";
        $insert .= $Priority.",";
        $insert .= "\"".$UseMultiSubClass."\",";
		$insert .= "\"".$UseEditDesignTemplate."\",";
        $insert .= "'".mysql_escape_string($TemplateSettings)."'";
        $insert .= ")";
        $Result = $db->query($insert);
        $systemMessageID = $db->insert_id ;
        $message = $systemMessageID;
    }
    if ($type == 2)
    {
        $update = "update Subdivision set ";
        for($i=0;$i<$fldCount;$i++)
        {
            $update .= $fld[$i]."=".$fldValue[$i].",";
        }
        $update .= "Subdivision_Name="."\"".$Subdivision_Name."\",";
        $update .= "ExternalURL="."\"".$ExternalURL."\",";
        $update .= "EnglishName="."\"".$EnglishName."\",";
        $update .= "Template_ID=".$TemplateID.",";
        $update .= "Read_Access_ID=\"".$ReadAccessID."\",";
        $update .= "Write_Access_ID=\"".$WriteAccessID."\",";
        $update .= "Edit_Access_ID=\"".$EditAccessID."\",";
        $update .= "Subscribe_Access_ID=\"".$SubscribeAccessID."\",";
        $update .= "Moderation_ID=\"".$ModerationID."\",";
        $update .= "Checked=\"".$Checked."\",";
        $update .= "Priority=".$Priority.",";
        $update .= "Favorite=\"".$Favorite."\",";
        $update .= "UseMultiSubClass=\"".$UseMultiSubClass."\",";
		$update .= "UseEditDesignTemplate=\"".$UseEditDesignTemplate."\",";
        $update .= "TemplateSettings = '".mysql_escape_string($TemplateSettings)."'";
        $update .= " where Subdivision_ID=".$loc->SubdivisionID;
        $Result = $db->query($update);
    }


    if ($type==1 || $type==2)
    {
        UpdateHiddenURL((($hidden_url=GetHiddenURL($loc->ParentSubID))?$hidden_url:"/"), $loc->ParentSubID, $loc->CatalogueID);
    }

    /***/
    if ($filetable_lastid)
    {
        foreach ($filetable_lastid as $id)
        {
            $Result = $db->query("UPDATE Filetable SET Message_ID='{$message}', File_Path='/{$message}/' WHERE ID = '{$id}'");
        }
    }
    /***/

    if (!isset($DIRCHMOD))
    {
        $DIRCHMOD = 0777;
    }
    @mkdir($FILES_FOLDER."{$message}/", $DIRCHMOD);

    for ($i=0; $i<count($tmpFile); $i++)
    {
        //eval ("\$tmpNewFile[\$i] = \"".$tmpNewFile[$i]."\";");
//      @rename($FILES_FOLDER.$tmpFile[$i], $FILES_FOLDER."{$message}/".$tmpNewFile[$i]);
        @rename($FILES_FOLDER.$tmpNewFile[$i], $FILES_FOLDER."{$message}/".$tmpNewFile[$i]);
        @chmod($FILES_FOLDER."{$message}/".$tmpNewFile[$i], $FILECHMOD);
    }
    if ($type == 1 && $message) {
        return $message;
    } elseif ($type == 2 && $loc->SubdivisionID) {
        return $loc->SubdivisionID;
    } else {
        return false;
    }
}

###############################################################################
// unused
#    
function ShowSubdivisionMenu ($SubdivisionID, $phase1, $action1, $phase2, $action2, $phase3, $action3)
{
    global $db;
    global $EDIT_DOMAIN, $HTTP_ROOT_PATH, $DOMAIN_NAME, $SUB_FOLDER;
    global $UI_CONFIG;

    $SubEnv = InheritSubdivisionEnv($SubdivisionID);

    $Array = $db->get_row("select * from Subdivision where Subdivision_ID=".$SubdivisionID,ARRAY_A);

    $Domain = $db->get_var("select Domain from Catalogue where Catalogue_ID=".$Array["Catalogue_ID"]);
    $Array["Hidden_Host"] = ($Domain?(strchr($Domain,".")?$Domain:$Domain.".".$DOMAIN_NAME):$DOMAIN_NAME);

    $SubClassCount = $db->get_var("select count(*) from Sub_Class where Subdivision_ID=".$SubdivisionID);

//    $ModerationType = $db->get_var("select TypeOfModeration_Name from Classificator_TypeOfModeration where TypeOfModeration_ID=".$SubEnv["Moderation_ID"]);

    $info = $db->get_row("SELECT Description, CustomSettings, Template_ID FROM Template WHERE Template_ID = '".$SubEnv['Template_ID']."'", ARRAY_A);

/*
    if ($SubEnv["Moderation_ID"]==1) {
        $ModerationType=CLASSIFICATOR_TYPEOFMODERATION_RIGHTAWAY;
    } else {
        $ModerationType=CLASSIFICATOR_TYPEOFMODERATION_MODERATION;
    }

    $UserGroupName = array(1 => CLASSIFICATOR_USERGROUP_ALL,
    2 => CLASSIFICATOR_USERGROUP_REGISTERED,
    3 => CLASSIFICATOR_USERGROUP_AUTHORIZED);
*/

    //  In My SQL 4.1, TIMESTAMP display format changes to be the same as DATETIME.
    if ($Array['LastUpdated'][4] != '-')
    {
        $Array['LastUpdated'] = substr($Array['LastUpdated'],0,4)."-".substr($Array['LastUpdated'],4,2)."-".substr($Array['LastUpdated'],6,2)." ".substr($Array['LastUpdated'],8,2).":".substr($Array['LastUpdated'],10,2).":".substr($Array['LastUpdated'],12,2);
    }
    ?>

<table border=0 cellpadding=0 cellspacing=0 width=100%>
  <tr>
    <td bgcolor=cccccc>
      <table border=0 cellpadding=6 cellspacing=1 width=100%>
        <tr>
          <td bgcolor=white>
            <table border=0 cellpadding=0 cellspacing=0 width=100%>
              <tr><td width=50%><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_DTEMPLATE?>:</td><td><?=$info["Template_ID"]?>. <?=$info['Description']?></td></tr>
              <tr><td><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_INFO_UPDATED?>:</td><td><?=$Array['LastUpdated']?></td></tr>
            </table>
          </td>
        </tr>
        <tr>
          <td bgcolor=white>
            <table border=0 cellpadding=0 cellspacing=0 width=100%>
              <tr><td width=50%><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_INFO_SUBSECTIONS_COUNT?>:</td><td><?=$children=ChildrenNumber($SubdivisionID)?> (<?=($children?"<a href=index.php?phase=1&ParentSubID=".$SubdivisionID.">".CONTROL_CONTENT_SUBDIVISION_FUNCS_LIST."</a>, ":"")?><a href="index.php?phase=2&ParentSubID=<? print $SubdivisionID; ?>"><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ADD?></a>)</td></tr>
              <tr><td><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_INFO_CLASS_COUNT?>:</td><td><?=$SubClassCount?> (<?=$SubClassCount?"<a href=SubClass.php?SubdivisionID=".$SubdivisionID.">".CONTROL_CONTENT_SUBDIVISION_FUNCS_LIST."</a>, ":""?><a href=SubClass.php?phase=1&SubdivisionID=<?=$SubdivisionID?>><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ADD?></a>)</td></tr>
              <tr><td><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_INFO_STATUS?>:</td><td><?=$Array["Checked"]?CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_TURNON:CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_TURNOFF?></td></tr>
              <tr><td><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_MULTI_SUB_CLASS?>:</td><td><?=$Array["UseMultiSubClass"]?CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_TURNON:CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_TURNOFF?></td></tr>
            </table>
          </td>
        </tr>
        <tr>
          <td bgcolor=white>
            <table border=0 cellpadding=0 cellspacing=0 width=100%>
              <tr><td width=50%><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_DTEMPLATE?>:</td><td><?=$Array["Template_ID"]?>. <?=$info['Description']?></td></tr>
              <tr><td valign='top'><?=CONTROL_TEMPLATE_CUSTOM_SETTINGS?>:</td>
              <td><?
  if ($info['CustomSettings']) {
    eval($info['CustomSettings']);
    echo "<ol>";
    foreach($settings_array as $settings) {
      echo "<li>".$settings['caption']."<br>\n";
    }
    echo "</ol>";
  } else {
    echo CONTROL_TEMPLATE_CUSTOM_SETTINGS_ISNOTSET;
  }
              ?></td>
              </tr>
            </table>
          </td>
        </tr>
<!--
        <tr>
          <td bgcolor=white>
            <table border=0 cellpadding=0 cellspacing=0 width=100%>
              <tr><td width=50%><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_INFO_READ?>:</td><td><?=$UserGroupName[$SubEnv["Read_Access_ID"]]?> <?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_USERS?></td></tr>
              <tr><td><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_INFO_ADD?>:</td><td><?=$UserGroupName[$SubEnv["Write_Access_ID"]]?> <?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_USERS?></td></tr>
              <tr><td><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_INFO_EDIT?>:</td><td><?=$UserGroupName[$SubEnv["Edit_Access_ID"]]?> <?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_USERS?></td></tr>
              <tr><td><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_INFO_SUBSCRIBE?>:</td><td><?=$UserGroupName[$SubEnv["Subscribe_Access_ID"]]?> <?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_USERS?></td></tr>
              <tr><td><?=CONTROL_CONTENT_SUBDIVISION_FUNCS_ACCESS_INFO_PUBLISH?>:</td><td><?=$ModerationType?></td></tr>
            </table>
          </td>
        </tr>
-->
      </table>
    </td>
  </tr>
</table>

    <?php
}

###############################################################################

function DeleteSubdivision ()
{
    global $db;
    global $UI_CONFIG;

    // ,    
    if (!is_object($UI_CONFIG)) {
       $UI_CONFIG = new ui_config_subdivision_delete(0);
       $UI_CONFIG->headerText = CONTROL_CONTENT_SUBDIVISION_FUNCS_LINEADD_DELETE;
    }

    $i = 0;
    foreach($_POST as $key => $val) {
        if (substr($key,0,6)=="Delete") {
            $sub_id = substr($key,6,strlen($key)-6)+0;

            DeleteSystemTableFiles('Subdivision', $sub_id);
            CascadeDeleteSubdivision ($sub_id);
            $UI_CONFIG->treeChanges['deleteNode'][] = "sub-{$sub_id}";
            $i++;
        }
    }
    nc_print_status(CONTROL_CONTENT_SUBDIVISION_FUNCS_LINEADD_DELETE_SUCCESS, 'ok');
}

###############################################################################

function AscIfDeleteSubdivision ($phase, $action)
{
    global $db;
    global $ParentSubID, $CatalogueID;
    global $UI_CONFIG;

    $ask = false;
    $cat_counter = 0;

    print "<form method=post action=\"".$action."\"><ul>";
    foreach($_POST as $key => $val) {
        if (substr($key,0,6)=="Delete" && $val) {
            $ask = true;
            $sub_id = substr($key,6,strlen($key)-6)+0;
            $sub_array = nc_get_sub_children($sub_id);
            $SelectArray = $db->get_results("SELECT Subdivision_ID, Subdivision_Name FROM Subdivision WHERE Subdivision_ID IN (".join(',', $sub_array).")", ARRAY_A);

            foreach ($SelectArray as $temp) {
                print "<li>".$temp['Subdivision_Name']."<br>";
                print "<INPUT TYPE=HIDDEN NAME=Delete".$temp['Subdivision_ID']." VALUE=".$temp['Subdivision_ID'].">";
                $cat_counter++;
            }
        }
    }

    $SelectArray = array();
    $sub_array = array();

    foreach($_GET as $key => $val) {
      if (substr($key,0,6)=="Delete" && $val) {
        $ask = true;
        $sub_id = substr($key,6,strlen($key)-6)+0;
        $sub_array = array_merge($sub_array, nc_get_sub_children($sub_id));
      }
    }

    $SelectArray = $db->get_results("SELECT DISTINCT Subdivision_ID, Subdivision_Name FROM Subdivision WHERE Subdivision_ID IN (".join(',', array_unique($sub_array)).")", ARRAY_A);
    
    if ($SelectArray) {
      foreach ($SelectArray as $temp) {
        print "<li>".$temp['Subdivision_Name']."<br>";
        print "<INPUT TYPE=HIDDEN NAME=Delete".$temp['Subdivision_ID']." VALUE=".$temp['Subdivision_ID'].">";
        $cat_counter++;
      }
    }

    if (!$ask) return false;

    if ($cat_counter>1) {
        $post_f1 = CONTROL_CONTENT_SUBDIVISION_FUNCS_LINEADD_WARNING_ONE_MANY;
        $post_f2 = CONTROL_CONTENT_SUBDIVISION_FUNCS_LINEADD_WARNING_TWO_MANY;
    } else {
        $post_f1 = CONTROL_CONTENT_SUBDIVISION_FUNCS_LINEADD_WARNING_ONE_ONE;
        $post_f2 = CONTROL_CONTENT_SUBDIVISION_FUNCS_LINEADD_WARNING_TWO_ONE;
    }

?>
</ul>
<? nc_print_status(CONTROL_CONTENT_SUBDIVISION_FUNCS_LINEADD_WARNING, 'info', array($post_f1,$post_f2)); ?>
<input type=hidden name=phase value=<? print $phase; ?>>
<input type=hidden name=ParentSubID value=<?=($ParentSubID+0)?>>
<input type=hidden name=CatalogueID value=<?=($CatalogueID+0)?>>
<?php
$UI_CONFIG->actionButtons[] = array("id" => "submit",
                                    "caption" => CONTROL_CONTENT_SUBDIVISION_FUNCS_LINEADD_DELETE_CONFIRMATION,
                                    "action" => "mainView.submitIframeForm()"
                                   );
return true;
}

function ShowSubdivisionSearch() {
  global $db;

}

function ShowFullSubdivisionList()
{
    global $db;
    global $HTTP_DOMAIN, $HTTP_HOST, $DOMAIN_NAME, $EDIT_DOMAIN, $HTTP_ROOT_PATH, $SUB_FOLDER, $CatalogueID;
    global $AUTHORIZATION_TYPE, $first, $perm;
    global $UI_CONFIG, $ADMIN_PATH, $ADMIN_TEMPLATE;

    $is_supervisor = ($perm->isSupervisor() || $perm->isManager() || $perm->isCatalogueAdmin($CatalogueID));
//    if ($is_supervisor) {
      $select = "select Catalogue_ID, Catalogue_Name, Domain, Title_Sub_ID, Checked from Catalogue where Catalogue_ID=".$CatalogueID;
      $Array = $db->get_row($select, ARRAY_N);
      if (!$db->num_rows) {
    	nc_print_status(CONTROL_CONTENT_SUBDIVISION_FUNCS_LINEADD_ERR_NOONESITE, 'error');
        return;
      }

      echo "<form name='siteMapSearch' id='siteMapSearch' onsubmit='return false;'>
	          ".SITE_SITEMAP_SEARCH.":
	          <input type='text' name='searchKeyword' disabled nosubmit='1'>
	        </form>\n";

      echo "<form name='siteMapForm' id='siteMapForm' method='get' action='index.php'>";
      echo "<input type='hidden' name='phase' value='7'>";

      echo "<table border=0 cellpadding=0 cellspacing=0 id='siteMap'>";
      echo "<tr>
		      <td id='siteTitle' class='name ".($Array[4]?"active":"unactive")."'><span>".$Array[0].". </span><a href='".$ADMIN_PATH."catalogue/?phase=6&CatalogueID=".$Array[0]."'>".$Array[1]."</a></td>
		      <td class='button'>".($is_supervisor?"<a href='".$ADMIN_PATH."subdivision/?phase=2&CatalogueID=".$Array[0]."&ParentSubID=0'><img src='".$ADMIN_TEMPLATE."img/i_folder_add.gif' alt='".CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_A_ADDSUBSECTION."' title='".CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_A_ADDSUBSECTION."'></a>":"<img src='".$ADMIN_TEMPLATE."img/px.gif' alt='' />")."</td>
		      <td class='button_div'><img src='".$ADMIN_TEMPLATE."img/px.gif' alt='' /></td>
		      <td class='button'>".($is_supervisor?"<a href='".$ADMIN_PATH."catalogue/index.php?phase=2&CatalogueID=".$Array[0]."&type=2'><img src='".$ADMIN_TEMPLATE."img/i_settings.gif' alt='".CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWCATALOGUELIST_TOOPTIONS."' title='".CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWCATALOGUELIST_TOOPTIONS."'></a>":"<img src='".$ADMIN_TEMPLATE."img/px.gif' alt='' />")."</td>
		      <td class='button'><a href='http://".($Array[2]?(strchr($Array[2],".")?$Array[2]:$Array[2].".".$DOMAIN_NAME):$DOMAIN_NAME).(strlen(session_id()) > 0?"?".session_name()."=".session_id()."":"")."' target=_blank><img src='".$ADMIN_TEMPLATE."img/i_preview.gif' alt='edit' title='edit'></a></td>
		      <td class='button'>";

      if (GetSubClassCount($Array[3]) && $is_supervisor) {
        $cc_id = $db->get_var("SELECT Sub_Class_ID FROM Sub_Class WHERE Subdivision_ID = '".$Array[3]."'");
        echo "<a href='http://".$EDIT_DOMAIN.$SUB_FOLDER.$HTTP_ROOT_PATH."?inside_admin=1&cc=".$cc_id.(strlen(session_id()) > 0?"&".session_name()."=".session_id()."":"")."'><img src='".$ADMIN_TEMPLATE."img/i_folder_edit.gif' alt='".CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWMENU_A_EDIT."' title='".CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWMENU_A_EDIT."'></a>";
      } else {
        echo "<img src='".$ADMIN_TEMPLATE."img/px.gif' alt='' />";
      }

      echo   "</td>
		      <td class='button_div'><img src='".$ADMIN_TEMPLATE."img/px.gif' alt='' /></td>
		      <td class='button'>".($is_supervisor?"<a href='".$ADMIN_PATH."catalogue/?phase=4&Delete".$Array[0]."=".$Array[0]."'><img src='".$ADMIN_TEMPLATE."img/i_site_delete.gif' alt='".CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_A_REMSITE."' title='".CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_A_REMSITE."'></a>":"<img src='".$ADMIN_TEMPLATE."img/px.gif' alt='' />")."</td>
	        </tr>";

      $count = 1;
      echo write_sub (0, $Array[0]);

	  echo "</table>";
      echo "</form>\n";
      echo "<div id='siteMapNotFound' style='display:none'>".SITE_SITEMAP_SEARCH_NOT_FOUND."</div>\n";

      $UI_CONFIG->actionButtons[] = array("id" => "submit",
                                          "caption" => NETCAT_ADMIN_DELETE_SELECTED,
                                          "action" => "mainView.submitIframeForm('siteMapForm')"
                                  );
}


###############################################################################

#      :  
function write_sub ($ParentSubID, $CatalogueID, $count=1)
{
    global $db;
    global $DOMAIN_NAME, $HTTP_ROOT_PATH, $EDIT_DOMAIN, $DOMAIN_NAME, $SUB_FOLDER, $ADMIN_PATH, $ADMIN_TEMPLATE;
    global $perm;

    static $security_limit, $initialized;
    if (!$initialized) {
      $initialized = true;
      /**
        *  sql-,    , 
        *   
        */
      $security_limit = "";

      if (!$perm->isSupervisor()) {
        /**
          * id ,    
          */
        $sub_admin = $perm->listItems('subdivision');
        /**
          * id   ,    
          */
        $cc_admin = $perm->listItems('subclass');
        /**
          * id ,    (  $site_admin,
          * $sub_admin, $cc_admin)
          */
        $allowed_sites = array();
        /**
          * id ,   , 
          *  $sub_admin + $cc_admin
          */
        $sub_and_cc_admin = $sub_admin;
        if ($cc_admin) {
          $res = $db->get_results("SELECT Subdivision_ID
                                     FROM Sub_Class
                                    WHERE Sub_Class_ID IN (".join(',', $cc_admin).")", ARRAY_A);
          foreach ($res as $row) {
            $sub_and_cc_admin[] = $row['Subdivision_ID'];
          }
        }

        if ($sub_and_cc_admin) {
          //     ,   
          //   
          $res = $db->get_results("SELECT parent.Subdivision_ID
                                     FROM Subdivision as parent, Subdivision as allowed
                                    WHERE allowed.Subdivision_ID IN (".join(',', array_unique($sub_and_cc_admin)).")
                                      AND allowed.Hidden_URL LIKE CONCAT(parent.Hidden_URL, '%')", ARRAY_A);
          /**
            * ,    
            */
          $allowed_subs = array();
          foreach ((array)$res as $row) { // flatten array
            $allowed_subs[] = $row['Subdivision_ID'];
          }

          /**
            * id ,      ,  
            *      --   
            * (as of 3.0)
            */
          $sub_child_administrator = array();
          //     
          $res = $db->get_results("SELECT child.Subdivision_ID, allowed.Subdivision_ID as Allowed_Subdivision_ID
                                     FROM Subdivision as child, Subdivision as allowed
                                    WHERE allowed.Subdivision_ID IN (".join(',', array_unique($sub_admin)).")
                                      AND child.Hidden_URL LIKE CONCAT(allowed.Hidden_URL, '_%')", ARRAY_A);
          foreach ((array)$res as $row) {
            $allowed_subs[] = $row['Subdivision_ID'];
            $sub_child_administrator[ $row['Subdivision_ID'] ] = $row['Allowed_Subdivision_ID'];
          }

          if ($allowed_subs) {
            $security_limit .= " AND a.Subdivision_ID IN (".join(',', $allowed_subs).") ";
          }
        }
      } // of "not supervisor"
    } // of "not initialized"

    $select  = "SELECT a.Subdivision_ID,a.Subdivision_Name,a.Priority,a.Checked,a.Hidden_URL,b.Domain,a.Catalogue_ID,a.ExternalURL FROM Subdivision AS a, Catalogue AS b";
    $select  .= " where a.Catalogue_ID=b.Catalogue_ID AND a.Catalogue_ID=".$CatalogueID;
    $select .= " AND a.Parent_Sub_ID=".$ParentSubID.$qry_where.$security_limit." ORDER BY a.Priority";


    if ($Result = $db->get_results($select, ARRAY_N)){

    foreach ($Result as $Array) {
        $hidden_host = "http://".($Array[5]?(strchr($Array[5],".")?$Array[5]:$Array[5].".".$DOMAIN_NAME):$DOMAIN_NAME);

        $result .= "<tr>
        		      <td class='name ".($Array[3]?"active":"unactive")."' style='padding-left: ".($count+15)."px;'><img src='".$ADMIN_PATH."images/arrow_sec.gif' width='14' height='10' alt='' title=''><span>".$Array[0].". </span><a href='".$ADMIN_PATH."subdivision/index.php?phase=4&SubdivisionID=".$Array[0]."'>".$Array[1]."</a></td>
        		      <td class='button'><a href='".$ADMIN_PATH."subdivision/index.php?phase=2&ParentSubID=".$Array[0]."'><img src='".$ADMIN_TEMPLATE."img/i_folder_add.gif' alt='".CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_A_ADDSUBSECTION."' title='".CONTROL_CONTENT_SUBDIVISION_FUNCS_MAINDATA_A_ADDSUBSECTION."'></a></td>
                      <td class='button_div'><img src='".$ADMIN_TEMPLATE."img/px.gif' alt='' /></td>
                      <td class='button'><a href='".$ADMIN_PATH."subdivision/index.php?phase=5&SubdivisionID=".$Array[0]."&full=1'><img src='".$ADMIN_TEMPLATE."img/i_settings.gif' alt='".CONTROL_CONTENT_SUBDIVISION_FUNCS_TOOPTIONS."' title='".CONTROL_CONTENT_SUBDIVISION_FUNCS_TOOPTIONS."'></a></td>";

        $show_url = ($Array[7]?(strchr($Array[7],":")?$Array[7]:(substr($Array[7],0,1)!="/"?$hidden_host.$Array[4].$Array[7]:$hidden_host.$Array[7])):$hidden_host.$Array[4]);
        if (strlen(session_id()) > 0)
        {
          if (strstr($show_url, "?") == FALSE)
            $show_url .= "?".session_name()."=".session_id();
          else
            $show_url .= "&".session_name()."=".session_id();
        }

        $result .= "<td class='button'><a href='".$show_url."'><img src='".$ADMIN_TEMPLATE."img/i_preview.gif' alt='".CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWMENU_A_VIEW."' title='".CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWMENU_A_VIEW."'></a></td>";
        $result .= "<td class='button'>";
        if (GetSubClassCount($Array[0])) {
          $cc_id = $db->get_var("SELECT Sub_Class_ID FROM Sub_Class WHERE Subdivision_ID = '".$Array[0]."'");
          $result .= "<a href='http://".$EDIT_DOMAIN.$SUB_FOLDER.$HTTP_ROOT_PATH."?inside_admin=1&cc=".$cc_id.(strlen(session_id()) > 0?"&".session_name()."=".session_id()."":"")."'><img src='".$ADMIN_TEMPLATE."img/i_folder_edit.gif' alt='".CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWMENU_A_EDIT."' title='".CONTROL_CONTENT_CATALOUGE_FUNCS_SHOWMENU_A_EDIT."'></a>";
        } else {
          $result .= "<img src='".$ADMIN_TEMPLATE."img/px.gif' alt='' />";
        }
        $result .= "</td>";
        $result .= "<td class='button_div'><img src='".$ADMIN_TEMPLATE."img/px.gif' alt='' /></td>";
        $result .= "<td class='button'><input name='Delete".$Array[0]."' value='".$Array[0]."' type='checkbox'></td>
        		  </tr>";

        $result .= write_sub($Array[0], $CatalogueID, $count+20);
    }

    }
    return $result;

}




###############################################################################
#  
#    -   

class SubdivisionHierarchy {

    var $Link, $NoLink;

    function SubdivisionHierarchy ($Delimeter, $CatalogueURL, $SubdivisionURL)
    {
        global $db;
        global $loc;
        $CurrentSubdivisionID+=0;
        $loc->CatalogueID+=0;
        $loc->ParentSubID+=0;
        $loc->SubdivisionID+=0;

        $Hierarchy = "";
        $Hierarchy = "<a href=\"".$CatalogueURL.$loc->CatalogueID."\">";
        $Hierarchy .= GetCatalogueNameByID ($loc->CatalogueID)."</a>";

        if ($loc->SubdivisionID)
        $SubdivisionID = $loc->SubdivisionID;
        else
        $SubdivisionID = $loc->ParentSubID;


        $LastSubdivisionAsLink = 1;

        if ($SubdivisionID) {
            $SubdivisionArray[] = $SubdivisionID;
            $CurrentSubdivisionID = $SubdivisionID;

            while ($CurrentSubdivisionID) {
                $Array = $db->get_var("select Parent_Sub_ID from Subdivision where Subdivision_ID=".$CurrentSubdivisionID);
                $CurrentSubdivisionID = $Array;
                if ($CurrentSubdivisionID)
                $SubdivisionArray[] = $Array;
            }

            $this->Link = $this->NoLink = $Hierarchy;
            for ($i=sizeof($SubdivisionArray)-1; $i>-1; $i--) {
                $this->Link .= $Delimeter;
                $this->NoLink .= $Delimeter;
                if ( $i || (!$i && $LastSubdivisionAsLink) )
                $this->Link .= "<a href=\"".$SubdivisionURL.$SubdivisionArray[$i]."\">";
                $Hierarchy = GetSubdivisionNameByID($SubdivisionArray[$i]);
                $this->Link .= $Hierarchy;
                $this->NoLink .= $Hierarchy;
                if ( $i || (!$i && $LastSubdivisionAsLink) )
                $this->Link .= "</a>";
            }
        } else {
            $this->Link = $this->NoLink = $Hierarchy;
        }


    }

    function printVars ()
    {
        print "Link=".$this->Link."<br>\n";
        print "NoLink=".$this->NoLink."<br>\n";
    }

}
# 


###############################################################################

function ChangeSubdivisionParentCompleted ($SubdivisionID, $NewParentSubID)
{
    global $db, $loc, $HTTP_DOMAIN, $HTTP_ROOT_PATH, $SUB_FOLDER;

    $ErrorString = "";

    if ($NewParentSubID==0) {
        UpdateParentSubID ($SubdivisionID, $NewParentSubID);
        UpdateHiddenURL ("/",0,$loc->CatalogueID);
    }

    if ($SubdivisionID == $NewParentSubID) {
        $ErrorString = CONTROL_CONTENT_CATALOUGE_FUNCS_ERROR_CANTMOVETOSELF."<BR>\n";
        return $ErrorString;
    }

    if ( !IsSubdivisionExist($NewParentSubID) && $NewParentSubID<>0) {
        $ErrorString = sprintf(CONTROL_CONTENT_CATALOUGE_FUNCS_ERROR_NOSECTION,$NewParentSubID)."<BR>\n";
        return $ErrorString;
    }

    if (GetCatalogueBySubdivision($SubdivisionID) != GetCatalogueBySubdivision($NewParentSubID) && $NewParentSubID<>0) {
        $ErrorString = CONTROL_CONTENT_CATALOUGE_FUNCS_ERROR_CANTFROMANOTHERSITE."<BR>\n";
        return $ErrorString;
    }


    UpdateParentSubID ($SubdivisionID, $NewParentSubID);
    UpdateHiddenURL ("/",0,$loc->CatalogueID);

    return $ErrorString;


}

###############################################################################

function UpdateSubdivisionPriority ()
{
    global $db;


    reset($_POST);
    while (list($key, $val) = each($_POST)) {
        if (substr($key,0,8)=="Priority") {
            $sub_id = substr($key,8,strlen($key)-8)+0;
            $val += 0;
            $update = "update Subdivision set Priority=".$val.",LastUpdated=LastUpdated where Subdivision_ID=".$sub_id;
            $db->query($update);
        }
    }
}

###############################################################################

function InheritSubdivisionEnv ($SubdivisionID)
{
    global $db;

    $Array = $db->get_row("SELECT * FROM Subdivision WHERE Subdivision_ID=".$SubdivisionID,ARRAY_A);
    $ParentArray["Catalogue_ID"] = $Array["Catalogue_ID"];

    while ($Array["Parent_Sub_ID"]) {
        $ParentArray =$db->get_row("SELECT * FROM Subdivision WHERE Subdivision_ID=".$Array["Parent_Sub_ID"],ARRAY_A);

        if (!$Array["Template_ID"])                $Array["Template_ID"] = $ParentArray["Template_ID"];
        if (!$Array["Read_Access_ID"])                $Array["Read_Access_ID"] = $ParentArray["Read_Access_ID"];
        if (!$Array["Write_Access_ID"])                $Array["Write_Access_ID"] = $ParentArray["Write_Access_ID"];
        if (!$Array["Edit_Access_ID"])                $Array["Edit_Access_ID"] = $ParentArray["Edit_Access_ID"];
        if (!$Array["Subscribe_Access_ID"])        $Array["Subscribe_Access_ID"] = $ParentArray["Subscribe_Access_ID"];
        if (!$Array["Moderation_ID"])                $Array["Moderation_ID"] = $ParentArray["Moderation_ID"];

        $Array["Parent_Sub_ID"] = $ParentArray["Parent_Sub_ID"];
    }

    $ParentArray = $db->get_row("SELECT * FROM Catalogue WHERE Catalogue_ID=".$ParentArray["Catalogue_ID"],ARRAY_A);

    if (!$Array["Template_ID"])                $Array["Template_ID"] = $ParentArray["Template_ID"];
    if (!$Array["Read_Access_ID"])        $Array["Read_Access_ID"] = $ParentArray["Read_Access_ID"];
    if (!$Array["Write_Access_ID"])        $Array["Write_Access_ID"] = $ParentArray["Write_Access_ID"];
    if (!$Array["Edit_Access_ID"])        $Array["Edit_Access_ID"] = $ParentArray["Edit_Access_ID"];
    if (!$Array["Subscribe_Access_ID"])        $Array["Subscribe_Access_ID"] = $ParentArray["Subscribe_Access_ID"];
    if (!$Array["Moderation_ID"])                $Array["Moderation_ID"] = $ParentArray["Moderation_ID"];

    return $Array;
}

###############################################################################

function AskForSubClassAddition() {
    global $db, $loc, $systemMessageID;
    echo CONTROL_CONTENT_CATALOUGE_FUNCS_MSG_OK."<br><br>";
    echo "<b><a href=SubClass.php?phase=1&SubdivisionID=".$systemMessageID.">".CONTROL_CONTENT_CATALOUGE_FUNCS_A_ADDCLASSTOSECTION."</a> | <a href=index.php?phase=1&".($loc->ParentSubID?"ParentSubID=".$loc->ParentSubID:"CatalogueID=".$loc->CatalogueID).">".CONTROL_CONTENT_CATALOUGE_FUNCS_A_BACKTOSECTIONLIST."</a></b>";
}

function GetSubsForFavorites($section=0,$mode="plain",$catid=0) {
    global $db, $_structure_level, $perm;

    $is_supervisor = ($perm->isSupervisor() || $perm->isManager() || $perm->isCatalogueAdmin($catid));

    if (!$is_supervisor) {
      /**
        *  sql-,    , 
        *   
        */
      $security_limit = "";

      /**
        * id ,    
        */
      $sub_admin = $perm->listItems('subdivision');
      /**
        * id   ,    
        */
      $cc_admin = $perm->listItems('subclass');
      /**
        * id ,    (  $site_admin,
        * $sub_admin, $cc_admin)
        */
      $allowed_sites = array();

      /**
        * id ,   , 
        *  $sub_admin + $cc_admin
        */
      $sub_and_cc_admin = $sub_admin;
      if ($cc_admin) {
        $res = $db->get_results("SELECT Subdivision_ID
                                   FROM Sub_Class
                                  WHERE Sub_Class_ID IN (".join(',', $cc_admin).")", ARRAY_A);
        foreach ($res as $row) {
          $sub_and_cc_admin[] = $row['Subdivision_ID'];
        }
      }

      if ($sub_and_cc_admin) {
        //     ,   
        //   
        $res = $db->get_results("SELECT parent.Subdivision_ID
                                   FROM Subdivision as parent, Subdivision as allowed
                                  WHERE allowed.Subdivision_ID IN (".join(',', array_unique($sub_and_cc_admin)).")
                                    AND allowed.Hidden_URL LIKE CONCAT(parent.Hidden_URL, '%')", ARRAY_A);
        /**
          * ,    
          */
        $allowed_subs = array();
        foreach ((array)$res as $row) { // flatten array
          $allowed_subs[] = $row['Subdivision_ID'];
        }

        /**
          * id ,      ,  
          *      --   
          * (as of 3.0)
          */
        $sub_child_administrator = array();
        //     
        $res = $db->get_results("SELECT child.Subdivision_ID, allowed.Subdivision_ID as Allowed_Subdivision_ID
                                   FROM Subdivision as child, Subdivision as allowed
                                  WHERE allowed.Subdivision_ID IN (".join(',', array_unique($sub_admin)).")
                                    AND child.Hidden_URL LIKE CONCAT(allowed.Hidden_URL, '_%')", ARRAY_A);
        foreach ((array)$res as $row) {
          $allowed_subs[] = $row['Subdivision_ID'];
          $sub_child_administrator[ $row['Subdivision_ID'] ] = $row['Allowed_Subdivision_ID'];
        }

        if ($allowed_subs) {
          $qry_where .= " AND a.Subdivision_ID IN (".join(',', $allowed_subs).") ";
        }
      }
    }
    
    $catid+=0;
    $ret = array();
    if (!$catid) {
      $sql = "SELECT Catalogue_ID FROM Catalogue $security_limit ORDER BY Priority LIMIT 1";
      $catid=$db->get_var($sql);
    }
    $select = "SELECT
                    *
                FROM
                    Subdivision as a
                WHERE
                    a.Catalogue_ID=".$catid."
                AND
                    a.Parent_Sub_ID=$section$qry_where
                ORDER BY
                    a.Priority";

    if ($Result = $db->get_results($select, ARRAY_A)){
        foreach ($Result as $row) {
            $row["level"] = (int)$_structure_level;
            $ret[$row["Subdivision_ID"]] = $row;
            $_structure_level++;
            $children = GetSubsForFavorites($row["Subdivision_ID"],'plain',$catid);
            $_structure_level--;

            foreach ($children as $idx=>$row2)
            {
                $ret[$idx] = $row2;
            }
        }

        if ($mode=="get_children")
        {
            foreach ($ret as $idx=>$row)
            {
                while ($row["Parent_Sub_ID"] != $section)
                {
                    $ret[$row["Parent_Sub_ID"]]["Children"][] = $row["Subdivision_ID"];
                    $row = $ret[$row["Parent_Sub_ID"]];
                }
            }
        }
    }

    return $ret;

}

function ShowSubsForFavorites ($structure=0,$parent_section=0,$catid=0,$phase=0) {
    static $count;
    global $perm;

    echo "<ul".(!$parent_section?" id='siteTree'":"").">\n";
    foreach ($structure as $id=>$row) {
      if ($row["Parent_Sub_ID"] == $parent_section) {
        $count++;
        if (!$row["Parent_Sub_ID"]) $count=0;
        echo "<li><img width=16 height=16 border=0 src='".$ADMIN_TEMPLATE."img/i_folder".(!$row['Checked']?"_disabled":"").".gif'>".$row['Subdivision_ID'].($row["Favorite"]?"&nbsp;":"<a href=# onclick=\"add_to_favorites($row[Subdivision_ID], ".($phase+1)."); return false;\" style='".(!$row['Checked']?"color:#cccccc;":"")."'>")."".$row['Subdivision_Name']."</a>\n";

/*
            echo str_repeat("&nbsp;",$count*7).
                 "\t<b>".$row["Subdivision_ID"]."</b>. ".
                 ($row["Favorite"]?"":"<a href=# onclick=\"add_to_favorites($row[Subdivision_ID], ".($phase+1)."); return false;\" style='".(!$row['Checked']?"color:#cccccc;":"")."'>")."".$row['Subdivision_Name']."</a><br>\n";
*/
        ShowSubsForFavorites ($structure,$id,0,$phase);
        $count--;
      }
    }
    echo "</ul>\n";
    unset($structure);
}


function AddFavorites ($subid)
{
    global $db;
    $subid+=0;

    $db->query("UPDATE Subdivision SET Favorite=1 WHERE Subdivision_ID = $subid");

}


function ShowCataloguesForFavorites ($catid=0,$phase=0) {
    global $db, $DOC_DOMAIN, $perm;
    $CatalogueID=$catid;

    $is_supervisor = ($perm->isSupervisor() || $perm->isManager() || $perm->isCatalogueAdmin($CatalogueID));

    if (!$is_supervisor) {
      /**
        * id ,    
        */
      $site_admin = $perm->listItems('catalogue');
      if ($site_admin) $security_limit = " WHERE catalogue.Catalogue_ID IN (".join(",", array_unique($site_admin)).")";

      /**
        *  sql-,    , 
        *   
        */

      /**
        * id ,    
        */
      $sub_admin = $perm->listItems('subdivision');
      /**
        * id   ,    
        */
      $cc_admin = $perm->listItems('subclass');
      /**
        * id ,    (  $site_admin,
        * $sub_admin, $cc_admin)
        */
      $allowed_sites = array();

      /**
        * id ,   , 
        *  $sub_admin + $cc_admin
        */
      $sub_and_cc_admin = $sub_admin;
      if ($cc_admin) {
        $res = $db->get_results("SELECT Subdivision_ID
                                   FROM Sub_Class
                                  WHERE Sub_Class_ID IN (".join(',', $cc_admin).")", ARRAY_A);
        foreach ($res as $row) {
          $sub_and_cc_admin[] = $row['Subdivision_ID'];
        }
      }

      if ($sub_and_cc_admin) {
        //     ,   
        //   
        $res = $db->get_results("SELECT parent.Subdivision_ID
                                   FROM Subdivision as parent, Subdivision as allowed
                                  WHERE allowed.Subdivision_ID IN (".join(',', array_unique($sub_and_cc_admin)).")
                                    AND allowed.Hidden_URL LIKE CONCAT(parent.Hidden_URL, '%')", ARRAY_A);
        /**
          * ,    
          */
        $allowed_subs = array();
        foreach ((array)$res as $row) { // flatten array
          $allowed_subs[] = $row['Subdivision_ID'];
        }

        /**
          * id ,      ,  
          *      --   
          * (as of 3.0)
          */
        $sub_child_administrator = array();
        //     
        $res = $db->get_results("SELECT child.Subdivision_ID, allowed.Subdivision_ID as Allowed_Subdivision_ID
                                   FROM Subdivision as child, Subdivision as allowed
                                  WHERE allowed.Subdivision_ID IN (".join(',', array_unique($sub_admin)).")
                                    AND child.Hidden_URL LIKE CONCAT(allowed.Hidden_URL, '_%')", ARRAY_A);
        foreach ((array)$res as $row) {
          $allowed_subs[] = $row['Subdivision_ID'];
          $sub_child_administrator[ $row['Subdivision_ID'] ] = $row['Allowed_Subdivision_ID'];
        }

        if ($allowed_subs) {
          $qry_where .= " OR sub.Subdivision_ID IN (".join(',', $allowed_subs).") ";
        }
      }
    }

    $select = "SELECT DISTINCT catalogue.Catalogue_ID,
                               catalogue.Catalogue_Name,
                               catalogue.Domain,
                               catalogue.Title_Sub_ID,
                               catalogue.Checked
                          FROM Catalogue as catalogue
                     LEFT JOIN Subdivision AS sub
                            ON catalogue.Catalogue_ID = sub.Catalogue_ID
                               $security_limit $qry_where
                      ORDER BY catalogue.Priority";
    
    $Result = $db->get_results($select, ARRAY_N);
    $sitenum=$db->num_rows;
    echo "<nobr>".CONTROL_USER_SELECTSITE.": <select onchange=\"document.location.href='".$ADMIN_PATH."subdivision/favorites.php?phase=".$phase."&catid='+this.value;\" style='width:250;'>\n";
    $f=false;

    foreach ($Result as $Array ) {
        if ($sitenum>1) {
            if ($CatalogueID==false && ($Array[2]==$HTTP_HOST || "www.".$Array[2]==$HTTP_HOST)) {
                $CatalogueID=$Array[0];
            }
        } else {
            $CatalogueID=$Array[0];
        }

        if (!$temp_catid) $temp_catid=$Array[0];
        $s_id = "";
        if ($AUTHORIZATION_TYPE == 'session') {
            $s_id = "&".session_name()."=".session_id();
        }

        echo "\t<option ".($CatalogueID==$Array[0]?"selected ":"")."value=".$Array[0].$s_id.">".$Array[0].":".$Array[1]."\n";
    }

    if (!$CatalogueID) $CatalogueID=$temp_catid;

    echo "</select>\n</nobr>\n<hr>\n<!--<div align=right>\n\t<a href='http://".$DOC_DOMAIN."/management/favorites/add/' target=help onclick=\"PopupWindow(this.href);return false;\"><img border=0 src=".$ADMIN_PATH."images/help.gif width=16 height=16 align=absmiddle hspace=4 alt='".BEGINHTML_HELPNOTE."'><font size=-2><b>".BEGINHTML_HELPNOTE."</b></font></a>\n</div>-->\n<br>";

}


function nc_delete_from_favorite($favorites) {
  global $db, $UI_CONFIG;

  foreach ($favorites as $favorite) {
    $db->query("UPDATE Subdivision SET Favorite = 0 WHERE Subdivision_ID = '".$favorite."'");
  }
}


function nc_show_subdivision_rights($subdivision_id) {
  global $db, $UI_CONFIG, $loc, $perm, $ADMIN_TEMPLATE;
  
  $is_supervisor = ($perm->isSupervisor() || $perm->isManager());
  
  $catalogue_id = $loc->CatalogueID;

  $perm_array = InheritSubdivisionEnv($subdivision_id);
  
  if ($perm_array['Read_Access_ID'] == 3 || $perm_array['Write_Access_ID'] == 3 || $perm_array['Edit_Access_ID'] == 3 || $perm_array['Subscribe_Access_ID'] == 3) {
    $cub_class_array = $db->get_col("SELECT Sub_Class_ID FROM Sub_Class WHERE Subdivision_ID = '".$subdivision_id."'", 0);

    $sql = "SELECT perm.User_ID, user.Login, perm.PermissionSet FROM Permission as perm LEFT JOIN User as user ON user.User_ID = perm.User_ID WHERE (perm.AdminType = '3' AND perm.Catalogue_ID = '".$subdivision_id."') OR (perm.AdminType = '4' AND perm.Catalogue_ID = '".$catalogue_id."')";
    if ($cub_class_array) $sql .= " OR (perm.AdminType = '9' AND perm.Catalogue_ID IN (".join(',', $cub_class_array)."))";
    $sql .= " GROUP BY User_ID";

    $users = $db->get_results($sql, ARRAY_A);
  }
  
  echo "<table class='subPermissions' border='0' cellpadding='0' cellspacing='0'><tr><td>";
  
  echo "<b>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_READ_ACCESS.":</b><br>\n<ul>\n";
  switch ($perm_array['Read_Access_ID']) {
    case 1:
      echo "<li><img src='".$ADMIN_TEMPLATE."img/i_usergroup.gif'>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_ALL_USERS."\n";
    break;
    case 2:
      echo "<li><img src='".$ADMIN_TEMPLATE."img/i_usergroup.gif'>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_REGISTERED_USERS."\n";
    break;
    case 3:
      $read_access = false;
      if ($users) {
        foreach ($users as $user) {
          if (($user['PermissionSet'] & 1) && 1) {
            $read_access = true;
            echo "<li><img src='".$ADMIN_TEMPLATE."img/i_user.gif'>".($is_supervisor?"<a href='".$ADMIN_PATH."user/index.php?phase=4&UserID=".$user['User_ID']."'>".$user['Login']."</a>":$user['Login'])." \n";
          }
        }
      }
      if (!$read_access) { 
        echo "<li><img src='".$ADMIN_TEMPLATE."img/i_usergroup.gif'>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_PRIVILEGED_USERS."\n";
      }
    break;
  }
  echo "</ul>\n";

  echo "<b>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_WRITE_ACCESS.":</b><br>\n<ul>\n";
  switch ($perm_array['Write_Access_ID']) {
    case 1:
      echo "<li><img src='".$ADMIN_TEMPLATE."img/i_usergroup.gif'>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_ALL_USERS."\n";
    break;
    case 2:
      echo "<li><img src='".$ADMIN_TEMPLATE."img/i_usergroup.gif'>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_REGISTERED_USERS."\n";
    break;
    case 3:
      $write_access = false;
      if ($users) {
        foreach ($users as $user) {
          if (($user['PermissionSet'] & 2) && 2) {
            $write_access = true;
            echo "<li><img src='".$ADMIN_TEMPLATE."img/i_user.gif'>".($is_supervisor?"<a href='".$ADMIN_PATH."user/index.php?phase=4&UserID=".$user['User_ID']."'>".$user['Login']."</a>":$user['Login'])." \n";
          }
        }
      }
      if (!$write_access) { 
        echo "<li><img src='".$ADMIN_TEMPLATE."img/i_usergroup.gif'>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_PRIVILEGED_USERS."\n";
      }
    break;
  }
  echo "</ul>\n";

  echo "<b>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_EDIT_ACCESS.":</b><br>\n<ul>\n";
  switch ($perm_array['Edit_Access_ID']) {
    case 1:
      echo "<li><img src='".$ADMIN_TEMPLATE."img/i_usergroup.gif'>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_ALL_USERS."\n";
    break;
    case 2:
      echo "<li><img src='".$ADMIN_TEMPLATE."img/i_usergroup.gif'>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_REGISTERED_USERS."\n";
    break;
    case 3:
      $edit_access = false;
      if ($users) {
        foreach ($users as $user) {
          if (($user['PermissionSet'] & 4) && 4) {
            $edit_access = true;
            echo "<li><img src='".$ADMIN_TEMPLATE."img/i_user.gif'>".($is_supervisor?"<a href='".$ADMIN_PATH."user/index.php?phase=4&UserID=".$user['User_ID']."'>".$user['Login']."</a>":$user['Login'])." \n";
          }
        }
      }
      if (!$edit_access) { 
        echo "<li><img src='".$ADMIN_TEMPLATE."img/i_usergroup.gif'>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_PRIVILEGED_USERS."\n";
      }
    break;
  }
  echo "</ul>\n";

  echo "<b>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_SUBSCRIBE_ACCESS.":</b><br>\n<ul>\n";
  switch ($perm_array['Subscribe_Access_ID']) {
    case 1:
      echo "<li><img src='".$ADMIN_TEMPLATE."img/i_usergroup.gif'>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_ALL_USERS."\n";
    break;
    case 2:
      echo "<li><img src='".$ADMIN_TEMPLATE."img/i_usergroup.gif'>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_REGISTERED_USERS."\n";
    break;
    case 3:
      $subscribe_access = false;
      if ($users) {
        foreach ($users as $user) {
          if (($user['PermissionSet'] & 8) && 8) {
            $subscribe_access = true;
            echo "<li><img src='".$ADMIN_TEMPLATE."img/i_user.gif'>".($is_supervisor?"<a href='".$ADMIN_PATH."user/index.php?phase=4&UserID=".$user['User_ID']."'>".$user['Login']."</a>":$user['Login'])." \n";
          }
        }
      }
      if (!$subscribe_access) { 
        echo "<li><img src='".$ADMIN_TEMPLATE."img/i_usergroup.gif'>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_PRIVILEGED_USERS."\n";
      }
    break;
  }
  echo "</ul>\n";

  echo "</td><td>";
  
  echo "<b>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_MODERATORS.":</b><br>\n<ul>\n";
  $object_moderator = false;
  if ($users) {
    foreach ($users as $user) {
      if (($user['PermissionSet'] & 16) && 16) {
        $object_moderator = true;
        echo "<li><img src='".$ADMIN_TEMPLATE."img/i_user.gif'>".($is_supervisor?"<a href='".$ADMIN_PATH."user/index.php?phase=4&UserID=".$user['User_ID']."'>".$user['Login']."</a>":$user['Login'])." \n";
      }
    }
  }
  if (!$object_moderator) { 
    echo "<li><img src='".$ADMIN_TEMPLATE."img/i_usergroup.gif'>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_PRIVILEGED_USERS."\n";
  }
  echo "</ul>\n";

  echo "<b>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_ADMINS.":</b><br>\n<ul>\n";
  $object_admin = false;
  if ($users) {
    foreach ($users as $user) {
      if (($user['PermissionSet'] & 32) && 32) {
        $object_admin = true;
        echo "<li><img src='".$ADMIN_TEMPLATE."img/i_user.gif'>".($is_supervisor?"<a href='".$ADMIN_PATH."user/index.php?phase=4&UserID=".$user['User_ID']."'>".$user['Login']."</a>":$user['Login'])." \n";
      }
    }
  }
  if (!$object_admin) { 
    echo "<li><img src='".$ADMIN_TEMPLATE."img/i_usergroup.gif'>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_PRIVILEGED_USERS."\n";
  }
  echo "</ul>\n";

/*
    if ($users) {
        
        if (($user['PermissionSet'] & 16) && 16) {
          $object_moderator = false;
          if (!$object_moderator) {
            echo "<b>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_MODERATORS.":</b><br>";
            echo "<ul>\n";          
            $object_moderator = true;
          }
          echo "<li>".($is_supervisor?"<a href='/netcat/admin/user/index.php?phase=4&UserID=".$user['User_ID']."'>".$user['Login']."</a>":$user['Login'])." \n";
          if ($object_moderator) echo "</ul>\n";
        }
        

        
        if (($user['PermissionSet'] & 32) && 32) {
          $object_admin = false;
          if (!$object_admin) {
            echo "<b>".SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST_TEXT_ADMINS.":</b><br>";
            echo "<ul>\n";          
            $object_admin = true;
          } 
          echo "<li>".($is_supervisor?"<a href='/netcat/admin/user/index.php?phase=4&UserID=".$user['User_ID']."'>".$user['Login']."</a>":$user['Login'])." \n";
          if ($object_admin) echo "</ul>\n";
        }
      }
    }
*/


}

/**
  *  
  */
class ui_config_subdivision_settings extends ui_config_subdivision_gereric {

  /**
    * @param integer
    */
  function ui_config_subdivision_settings($sub_id) {

    $this->init($sub_id);

    if (!$this->sub->subdivision_id) {
      trigger_error("Wrong parameters for ui_config_subdivision_settings?", E_USER_ERROR);
    }

/*
    $sub_id = $this->sub->subdivision_id; //     cc_id

    //   
    $this->toolbar = array();
    //  
    if ($this->sub->is_subdivision_admin()) {
      $this->toolbar[] = array('id' => "sub-{$sub_id}",
                               'caption' => CONTROL_CONTENT_SUBDIVISION_SETTINGS,
                               'location' => "subdivision.edit($sub_id)",
                               'group' => "grp1"
                              );
    }

    $cc_subs = array();
    //    
    if ($this->sub->is_subclass_admin()) {
      $i = 0;
      foreach ($this->sub->get_administered_subclasses() as $sc) {
        $this_class = ($i++ == 0 && sizeof($this->toolbar)) ? 'divider_left' : '';
        $this->toolbar[] = array('id' => "subclass$sc[Class_ID]-$sc[Sub_Class_ID]",
                                 'caption' => $sc["Sub_Class_Name"],
                                 'location' => "subclass.edit($sc[Sub_Class_ID],$sc[Subdivision_ID])",
                                 'group' => "grp1",
                                 'className' => $this_class,
                                 'dragEnabled' => true,
                                 'metadata' => array("subdivisionId"=>$sc['Subdivision_ID'])
                                );
        $cc_subs[$sc["Sub_Class_ID"]] = $sc["Class_ID"];
      }
    }

    //    
    if ($this->sub->is_subdivision_admin()) {
      $this->toolbar[] = array('id' => "subclassAdd",
                               'caption' => STRUCTURE_TAB_SUBCLASS_ADD,
                               'location' => "subclass.add($sub_id)",
                               'group' => "grp1",
                               'className' => "divider_left"
                              );
    }
*/
    $this->activeTab = 'settings';
    $this->locationHash = "subdivision.edit($sub_id)";
/*
    elseif ($action == 'subclass.edit') {
      $this->locationHash = "$action($cc_id,$sub_id)";
      $this->activeToolbarButtons[] = "subclass{$cc_subs[$cc_id]}-{$cc_id}";
      $this->updateTreeSubdivisionNode();
    }
    elseif ($action == 'subclass.add') {
      $this->locationHash = "$action($sub_id)";
      $this->activeToolbarButtons[] = "subclassAdd";
    }
*/
  }

  /**
    *     
    * @param integer
    * @param string
    * @param boolean
    */
  function updateTreeSubdivisionNode($node_id="", $node_name="", $checked=null) {

    if (!$node_id) { $node_id = $this->sub->subdivision_id; }
    if (!$node_name) { $node_name = $this->sub->subdivision_name; }
    if ($checked==null) { $checked = $this->sub->subdivision_checked; }

    $image = "i_folder".($checked ? '' : '_disabled').".gif";
    $subclasses = array();

    foreach ((array)$this->sub->get_moderated_subclasses() as $sc) {
      $subclasses[] = array("classId" => $sc["Class_ID"], "subclassId" => $sc["Sub_Class_ID"]);
    }

    $this->treeChanges['updateNode'][] = array("nodeId" => "sub-$node_id",
                                               "name" => "$node_id. $node_name",
                                               "image" => $image,
                                               "subclasses" => $subclasses);
  }
} // of "ui_config_subdivision_settings"


/**
  *    ,    ,
  *    
  */
class ui_config_subdivision_add extends ui_config {

  function ui_config_subdivision_add($parent_sub_id, $catalogue_id=0) {

    $location = "subdivision.add(". ($parent_sub_id ? $parent_sub_id : "0,$catalogue_id") . ")";
    $this->locationHash = $location;
    $this->headerText = CONTROL_CONTENT_SUBDIVISION_INDEX_ADDSECTION;
    $this->headerImage = 'i_folder_big.gif';
    $this->tabs = array(
                array('id' => 'subdivisionAdd',
                      'caption' => CONTROL_CONTENT_SUBDIVISION_FUNCS_ADDSECTION,
                      'location' => $location)
                     );
    $this->activeTab = "subdivisionAdd";
    $this->treeMode = 'sitemap';
    $this->treeSelectedNode = ($parent_sub_id ? "sub-{$parent_sub_id}" : "site-{$catalogue_id}");
  }
}

class ui_config_subdivision_delete extends ui_config {

  function ui_config_subdivision_delete($sub_id) {

    $this->locationHash = "subdivision.delete($sub_id)";
    $this->headerText = CONTROL_CONTENT_SUBDIVISION_INDEX_DELETECONFIRMATION;
    $this->headerImage = 'i_folder_big.gif';
    $this->tabs = array(
                array('id' => 'subdivisionDelete',
                      'caption' => CONTROL_CONTENT_SUBDIVISION_FUNCS_LINEADD_DELETE,
                      'location' => "subdivision.delete($sub_id)")
                     );
    $this->activeTab = "subdivisionDelete";
    $this->treeMode = 'sitemap';
    $this->treeSelectedNode = "sub-".$sub_id;
  }
}

class ui_config_subdivision_info extends ui_config_subdivision_gereric {

  function ui_config_subdivision_info($sub_id, $toolbar_action) {
    $this->init($sub_id, 0);
    $this->activeTab = "info";

    //   
    $this->toolbar = array();
    //   
    $this->toolbar[] = array('id' => "info",
                             'caption' => SUBDIVISION_TAB_INFO_TOOLBAR_INFO,
                             'location' => "subdivision.info($sub_id)",
                             'group' => "grp1"
                            );
    //  
    $this->toolbar[] = array('id' => "sublist",
                             'caption' => SUBDIVISION_TAB_INFO_TOOLBAR_SUBLIST,
                             'location' => "subdivision.sublist($sub_id)",
                             'group' => "grp1"
                            );
    // 
    $this->toolbar[] = array('id' => "userlist",
                             'caption' => SUBDIVISION_TAB_INFO_TOOLBAR_USERLIST,
                             'location' => "subdivision.userlist($sub_id)",
                             'group' => "grp1"
                            );
    
    $this->activeToolbarButtons[] = $toolbar_action;
    $this->locationHash = "subdivision.$toolbar_action($sub_id)";

  }
}

class ui_config_subdivision_subclass extends ui_config_subdivision_gereric {

  function ui_config_subdivision_subclass($sub_id, $toolbar_action, $cc_id=0) {
    $this->init($sub_id, 0);
    $this->activeTab = "subclass";

    //   
    $this->toolbar = array();

    $cc_subs = array();
    //    
    if ($this->sub->is_subclass_admin()) {
      $i = 0;
      foreach ($this->sub->get_administered_subclasses() as $sc) {
        $this_class = ($i++ == 0 && sizeof($this->toolbar)) ? 'divider_left' : '';
        $this->toolbar[] = array('id' => "subclass$sc[Class_ID]-$sc[Sub_Class_ID]",
                                 'caption' => $sc["Sub_Class_Name"],
                                 'location' => "subclass.edit($sc[Sub_Class_ID],$sc[Subdivision_ID])",
                                 'group' => "grp1",
                                 'className' => $this_class,
                                 'dragEnabled' => true,
                                 'metadata' => array("subdivisionId"=>$sc['Subdivision_ID'])
                                );
        $cc_subs[$sc["Sub_Class_ID"]] = $sc["Class_ID"];
      }
    }

    //    
    if ($cc_subs) array_unshift($this->toolbar, array('id' => "list",
                             'caption' => SUBDIVISION_TAB_INFO_TOOLBAR_CCLIST,
                             'location' => "subclass.list($sub_id)",
                             'group' => "grp1"
                            ));
    
    if ($cc_id) {
      $this->locationHash = "subclass.$toolbar_action($cc_id,$sub_id)";
      $this->activeToolbarButtons[] = "subclass{$cc_subs[$cc_id]}-{$cc_id}";
    } else {
      $this->locationHash = "subclass.$toolbar_action($sub_id)";
      $this->activeToolbarButtons[] = $toolbar_action;
    }

  }
}

class ui_config_subdivision_preview extends ui_config_subdivision_gereric {

  function ui_config_subdivision_preview($sub_id, $cc_id) {
    $this->init($sub_id, $cc_id);
    $this->activeTab = "view";

    //   
    $this->toolbar = array();

    $cc_subs = array();
    //    
    if ($this->sub->is_subclass_admin() && sizeof($this->sub->subclasses) > 1) {
      $i = 0;
      foreach ($this->sub->get_administered_subclasses() as $sc) {
        $this_class = ($i++ == 0 && sizeof($this->toolbar)) ? 'divider_left' : '';
        $this->toolbar[] = array('id' => "subclass-$sc[Sub_Class_ID]",
                                 'caption' => $sc["Sub_Class_Name"],
                                 'location' => "subclass.view(0,$sc[Sub_Class_ID])",
                                 'group' => "grp1"                                 
                                );
      }
    }
    
    if ($cc_id) {
      $this->activeToolbarButtons[] = "subclass-$cc_id";
      $this->locationHash = "subclass.view(0,$cc_id)";
    }
  }
}

class ui_config_favorite extends ui_config {

  function ui_config_favorite($active_tab) {
    $this->headerText = FAVORITE_HEADERTEXT;
    $this->headerImage = 'i_favorites_big.gif';
    switch($active_tab){
      case "other":
        $this->tabs[] = array('id' => 'other',
                              'caption' => SECTION_INDEX_FAVORITE_ANOTHER_SUB,
                              'location' => "favorite.other()");
        $this->activeTab = "other";
        $this->locationHash = "#favorite.other()";
      break;
      case "add":
        $this->tabs[] = array('id' => 'add',
                              'caption' => SECTION_INDEX_FAVORITE_ADD,
                              'location' => "#favorite.add()");
        $this->activeTab = "add";
        $this->locationHash = "favorite.add()";
      break;
      case "list":
        $this->tabs[] = array('id' => 'list',
                              'caption' => SECTION_INDEX_FAVORITE_LIST,
                              'location' => "favorite.list()");
        $this->activeTab = "list";
        $this->locationHash = "#favorite.list()";
      break;
    }
    
    $this->treeMode = 'sitemap';
//    $this->treeSelectedNode = "sub-".$sub_id;
  }
}

?>